commit 285a451d4bccf43c4981374238b854be9c296e10
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Jul 1 12:55:37 2016 +0530

    Updated files for v3.0.0

commit 69530befe9ca80d8fbe609dba50fe0447563cbc4
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Jun 30 17:56:36 2016 +0530

    BUSMASTER v3.0.0 changes

commit 93f0f2805bbef626758a717ab176d47bc424bab4
Author: Prathiba <Prathibabharathi.pagadala@in.bosch.com>
Date:   Tue Nov 17 12:07:30 2015 +0530

    Version information updated

commit 41180fd99ae65bf8d2b683eb8095acb87c41b1f8
Author: Prathiba <prathibabharathi.pagadala@in.bosch.com>
Date:   Mon Nov 16 18:24:59 2015 +0530

    Updated Documentation for v2.6.4

commit 9c9a1eab4ec821eafc395817ae97370a579661a1
Author: Prathiba <prathibabharathi.pagadala@in.bosch.com>
Date:   Mon Nov 16 17:19:13 2015 +0530

    BUSMASTER v2.6.4 changes

commit b5d2283d30eaebddf979f329b7ff55c463f19f0e
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Aug 7 15:40:42 2015 +0530

    Updated version information and help contents

commit 77091d5527bcd4d5bc9c53be2f1b5a58a9a4f2e0
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Aug 7 14:27:14 2015 +0530

    Updated with bug fixes and LIN Kvaser contribution for v2.6.3

commit 724cd462e165f8199f283010f09c522e93e3a24b
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed May 20 13:50:44 2015 +0530

    Changes for v2.6.2

commit 1ff3b544f655974a4fc65ebe2f931a5c53a9fa8f
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Feb 27 15:45:59 2015 +0530

    Version information updated

commit 150c0d69c00bf70cceb0b5075e93257f103cdc4b
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Feb 27 15:00:33 2015 +0530

    Updated for v2.6.1

commit 9f1cb0c9b26c520cad26dabbc04bdfb315b8d681
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Nov 7 11:35:17 2014 +0530

    Updated What's New page

commit e18534c998478294c71503f47e5b58b1b370495e
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Nov 6 20:22:08 2014 +0530

    Updated MHS library file path

commit c4716b5674df234c9e1b41da931a2d28f1104f33
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Nov 6 17:57:13 2014 +0530

    Updated version and license details

commit a5460744c5e23f3bbd588eac048553ba5df3ece6
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Oct 31 18:08:31 2014 +0530

    Updated for DBManager compilation

commit 075c056775ef39f203226facc0866062f465e707
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Oct 31 17:08:49 2014 +0530

    Added solution files

commit e7f98e09e942d86751e233e4a203c8c0c3f7003a
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Oct 31 16:54:56 2014 +0530

    v2.6.0 changes

commit 569daa43c3c6e7dc3d798840beb3ca78d340d32f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Aug 29 13:55:37 2014 +0200

    Several optimizations
    
    * BUSMASTER.exe.manifest: File beautified
    * stdafx.h: WINVER declarations removed
    * CMakeLists.txt: Unnecessary linker declarations removed (e.g. /STACK:8000000)
    * CMakeLists.txt: Unnecessary optimization hinderers removed (e.g. remove_definitions)
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2dc1ca14e57eb31ed40d257f80b8cce95bd16bec
Merge: c1a4a39 0ba65c7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 28 16:15:10 2014 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster
    
    Conflicts:
    	Sources/BIN/Libs/Release/vs_can_api.lib
    	Sources/BIN/Libs/busmaster_debug/vs_can_api.lib
    	Sources/BIN/busmaster_debug/vs_can_api.dll
    	Sources/CAN_VSCOM/vs_can_api.h
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c1a4a399a59f1922dd15a49235ff0b66b634d619
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 28 16:05:58 2014 +0200

    Introduction of CMake for BUSMASTER solution/project generation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0ba65c7c9eca8363f63a5b96f2c20cc5a3cdbef1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 28 14:58:48 2014 +0200

    Fix linker warnings from WinDDK
    
    That's the warning:
    warning LNK4254: section 'ATL' (50000040) merged into '.rdata' (40000040) with different attributes
    
    That's the fix:
    http://stackoverflow.com/questions/13971980/warning-lnk4254-section-atl-50000040-merged-into-rdata-40000040-with-d
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 61b34ae297f814ee3689142a88376003fdcb8259
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Aug 27 09:23:18 2014 +0200

    Added chapter on CMake to Development Environment Documentation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f723c573739f834541537dc2c68f5f4741255b54
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Aug 26 17:45:50 2014 +0200

    Correction of ES581.3 serial number handling.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d968a7184ab95074f1d69e6021e27e70451fdc28
Merge: 623daaf 10da1b7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Aug 25 19:20:02 2014 +0200

    Merge pull request #748 from yegorich/dll-update
    
    CAN_VSCOM: bump API to 1.7.1

commit 10da1b7824a1341dfdae3283a341bc6387314055
Author: Yegor Yefremov <yegorslists@googlemail.com>
Date:   Mon Aug 25 09:35:05 2014 +0200

    CAN_VSCOM: bump API to 1.7.1

commit 623daaf7ced3962269e5a3f8d7f6e23c126e21a4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 21 18:02:22 2014 +0200

    Centralize MFC build definition
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 02a3e6bf25747275407cbdd7b9857c8796194aba
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 21 17:04:34 2014 +0200

    Changes to improve compilation under different IDEs/compilers
    
    Only the MSVC/MSBuild is generating Configuration-dependent directories,
    e.g. Release, Debug, ...
    Hence the copy command to install the targets into the BIN,
    was not working under QtCreator.
    This has been fixed now by using $<TARGET_FILE:...> property.
    
    The definition _AFXDLL is necessary instead of _AFXEXT
    to exclude some includes in the global afxres.rc.
    These includes where not found and hence broke compilation.
    
    It works now in MSVC/MSBuild and QtCreator/NMake
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7b14b204a6f88252f97b106ac28a827c24f35c82
Merge: ff6490e 6d871f4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 21 13:44:35 2014 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit ff6490ecc09154caa8af81451c1a77a372928a4a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 21 13:44:03 2014 +0200

    Replace the VS solution/project files with CMake.
    
    CMake sets these files up automatically.
    But if you prefer CMake can also setup for different environments.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6d871f4644b83db3df2d56315eda3e324bdc6db0
Merge: 03328dd 14f5203
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Aug 21 13:38:01 2014 +0200

    Merge pull request #747 from yegorich/cppcheck
    
    Cppcheck

commit 14f5203aebd5c44b3cf80c49c7531291f097df4f
Author: Yegor Yefremov <yegorslists@googlemail.com>
Date:   Thu Aug 21 12:06:31 2014 +0200

    CAN_VSCOM: reduce variable scope

commit 9f8c0bc36aeb9fac30780afc6833a34d8866a903
Author: Yegor Yefremov <yegorslists@googlemail.com>
Date:   Thu Aug 21 12:01:00 2014 +0200

    CAN_VSCOM: remove redundant assignments

commit 9443b306bfc9211dddd4886e319421607332a0ad
Author: Yegor Yefremov <yegorslists@googlemail.com>
Date:   Thu Aug 21 11:50:22 2014 +0200

    CAN_VSCOM: fix memset() size
    
    Use size of the data and not of its pointer.

commit 03328dd58399b3ea2fb2237928920fe62203a3f7
Merge: 80804ad b7e34a7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Aug 20 10:12:10 2014 +0200

    Merge pull request #745 from yegorich/vscom
    
    CAN_VSCOM: change error message to reflect new menu structure

commit b7e34a73aec0073bd823658abc9f522dd415ff0c
Author: Yegor Yefremov <yegorslists@googlemail.com>
Date:   Tue Aug 19 14:13:02 2014 +0200

    CAN_VSCOM: change error message to reflect new menu structure

commit 80804addb9be7cfe94a97bf964c0315064b8d68e
Merge: 1b000f4 3403d1d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jul 29 17:37:46 2014 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 1b000f437067b53f3c0c3d6d9f7fdd62e4538067
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jul 29 17:36:50 2014 +0200

    NSIS: Different graphics and cleanups in script
    
    * Defined new headerimage based on BUSMASTER logo text
    * Defined new welcomefinishpage based on vertical flyer with twisted arrows.
    * Removal of uncommented code from the script.
    * Changed tabs to blanks
    * Removed blanks at the line endings
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3403d1d2932084e9cf1b75368adbebe1451c954c
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Jul 24 15:48:14 2014 +0530

    Updated busmaster_{debug settings for tlb file reference

commit ea765068b19e322a8489186f1c3a48986315c00e
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jul 23 17:00:58 2014 +0530

    Simulated Systems folder reference path updated

commit c1f50c3d34b488600a709128fc9849cc0140eac4
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jul 23 16:16:17 2014 +0530

    Updated image

commit 63fc716d7a886caefc878ff351822fe44448fdb5
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jul 23 16:12:58 2014 +0530

    Updated tlb path

commit 1176591bda11a81fc367928bc584073c23fd467c
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jul 23 16:10:15 2014 +0530

    Updated BusMaster tlb path

commit a39025108ba4a7e043ad53790c3b5e2aeac63409
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jul 23 15:35:46 2014 +0530

    BusMaster v2.5.0 changes

commit 71797d9b5a40a953afe1dd05a1392965cfa9deb7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jul 8 17:01:52 2014 +0200

    Cleanups
    
    * Removal of commented-out code
    * Doxygen documentations
    * Reorder of class declarations: MFC, public, protected, private
    * Removal of unused declarations
    
    ... just the usual stuff to enhance maintenability.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 142bd36cbe96c8dd51c1c7cda9322f7ab11a81e7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Jul 7 18:57:13 2014 +0200

    Cleanups in NSIS script
    
    * spaces/blanks instead of tabs to suit every text editor
    * remove trailing spaces at end of line
    * common indentation
    * all IfFileExists... Delete clauses where ineffective! They just did Delete always.
    * No need for patch script anymore. This is long time solved...
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b3cb99ff777030f7212abc7f1c06f62d2985bed7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Jul 7 18:27:35 2014 +0200

    Add Version Information to NSIS script.
    
    The VI... commands define the information for the installer executable.
    
    The WriteReg... commands define the information for the uninstaller,
    so for the list of installed programs in the control panel.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1132d629c5a727e9f248938d2bc940031da661d9
Merge: ead418c f4ed63a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Jun 26 16:09:51 2014 +0200

    Merge branch 'master' of https://etas-lorenz@github.com/rbei-etas/busmaster.git

commit ead418c6ce0946790c4cf462effd75c2e4783ae3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Jun 26 16:08:56 2014 +0200

    Just cleanups...
    
    * removed filter functionality for DILs that don't provide this.
    * removed redundant defines and enums
    * removed CRT_SECURE_NO_DEPRECATE, so that we see what needs to be changed
    * removed unused MCNet stuff
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f4ed63a8d3c3ecd27c5a4e385bd7ef49926bca5b
Merge: f95ea79 b4440cc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 24 16:47:13 2014 +0200

    Merge pull request #713 from GT-Derka/master
    
    Solves #711

commit b4440cccb738d7d80fdf5e028d6c081c3c1c99fb
Author: AndreasDerksen <andreas.derksen@gigatronik.com>
Date:   Tue Jun 24 16:42:48 2014 +0200

    Solves #711
    
    Corrected dimensions of column-widths to get a nicer look onto
    channel-column. (1)
    
    Fixed problem with channel-selection-dropdown. (2)
    
    Fixed problem that the channel of message-RX is ignored. (4)

commit f95ea793b82604611dcd146a0fed468833f8a560
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 18 17:11:14 2014 +0200

    Added/Corrected Doxygen comments throughout TXWindow.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d72d9ec1f9152d33fc296b7c471a5b2c38c20e6a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 18 09:16:48 2014 +0200

    Updated gitignore.
    
    .project is an Eclipse project file. As we don't use it and
    it's not even in the Sources directory, I've deleted it.
    
    manifest files are created as part of the build and thus
    shouldn't be in the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 13bd79074a637a31ed87f12343ce76969926f693
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 18 09:08:10 2014 +0200

    Rename *_ETAS_BOA_2_0 to *_ETAS_BOA_2.
    
    This is in line now with the versioning scheme of BOA and the intention
    to keep the v2 API stable across minor release. We already reached v2.2.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 29d46ecc01f92daec3ad34f46a130d9254857688
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 18 08:15:35 2014 +0200

    Gettext localization improved and "de" added.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5cf2e7310b3a2170c2e9153477534b0c99485b00
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 17 09:31:51 2014 +0200

    Changes to make xgettext happy.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 48cf6c8c3546aaaeae35cfc4dac12386de248c99
Merge: 0a54b18 4ddadd0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Jun 16 15:49:49 2014 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 0a54b18e3eb963c023e4e90860ba4a3039361caf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Jun 16 15:48:43 2014 +0200

    Enhancements to MultiLanguageSupport header/source code
    
    * MultiLanguageSupport.h contain way to many unnecessary includes
    * g_hLibIntl shouldn't be exposed. So added load/unload functions.
    * All g_pf* pointers shouldn't be exposed. They are now internal.
    * Some fixes for unused parameters.
    * One fix for duplicate macro.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4ddadd0fee1fd510dcc2aa1f83cb6539e2a38d3a
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jun 16 15:26:36 2014 +0530

    Updated test setup link

commit 53554394b1e6a509e13aa861ad4690c1a2859c7b
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jun 16 14:32:25 2014 +0530

    updated

commit 16e350a2585b61f55db1e3a4c688c97f76e86ac8
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jun 16 14:18:26 2014 +0530

    Updated version info and style compliance changes

commit e51e7156241028056d9fc846776e34e619fae66d
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jun 16 12:52:28 2014 +0530

    Added LIN PEAK and UDS projects

commit 609fe41de29f3f55346995dff6019426d5259a89
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jun 16 12:40:39 2014 +0530

    BusMaster v2.4.0 changes

commit 9e8918c3607780ead7143e9c3d68e278c9b37d0e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Jun 6 14:51:58 2014 +0200

    Fix some warnings of categories C4018, C4100, C4129, C4244, C4553, C4996.
    
    What else...
    * Replaced MS-specific _stprintf with standard sprintf.
    * FilterName migrated from char[] to std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 681ba0331e22bd458916f4d5fec0283786dcabb0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Jun 6 11:44:06 2014 +0200

    Some cleanups and improvements of source code documentation.
    
    I would like to understand what RefTimeKeeper does...
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 855dce9db9e459592e8c97fefc5290ed63d7fa83
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Jun 5 18:24:30 2014 +0200

    Some cleanups and improvements of source code documentation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b638d5b87c2821ae2ebcb1d0794496f95dd148fc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Jun 5 17:16:31 2014 +0200

    Enhancements to time handling
    
    * GetTimeModeMapping argument QueryTickCount is now "&" instead of "*"
    * It seems SYSTEMTIME can be assigned ("=") also. No need for memcpy.
    * Fixed some signed/unsigned warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 78197e041b805aed1565334182ac788a2a83bd8f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Jun 5 15:21:11 2014 +0200

    Fix some C4005, C4018, C4100, C4101, C4204, C4245, C4505 and C4805 warnings.
    
    ... too many changes.
    I doesn't seem to brake anything, but running complete test suite should be done...
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e5d1c60e65c3f86a50aa230d6cfa051e2a9835f2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 4 15:48:58 2014 +0200

    Fix some C4100 and C4505 warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit eef51aeba1a6b43e6479b8bdfd7f3866240f6b2e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 4 14:01:28 2014 +0200

    Fix some minor C4800 warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7a3731a797f602547da9f9be225f656d74477689
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 4 10:31:31 2014 +0200

    Auto generated DMGraph files should be in the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 87ee289bd978709b8434f9290b15a3fd366693f4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 4 10:30:14 2014 +0200

    Fix some of the C4996 warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9f9dc956a874c1fda73c8abc24a4e9a0cbee7c01
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Jun 4 09:08:35 2014 +0200

    Fix C4505 warnings
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 164c6c64d7e2e27897bf0e7a911e8f02a12051ce
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 16:35:41 2014 +0200

    Fix warning C4927.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 606c2d571155265d3ad872a0c243c503de01baa0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 16:28:21 2014 +0200

    Replace (Windows specific) VOID with (C++ standard) void.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b5730f1411fb71a2b66f752786a2d5d26041bf13
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 16:08:36 2014 +0200

    Remove unnecessary returns.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0ef1cd3d0ebb58e4bf55485b5e07ca44f65bd890
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 15:05:19 2014 +0200

    Fix C4553 warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c5ca4ce75a9cbf1ec0ac157c480fdeb8c2872eba
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 15:04:23 2014 +0200

    Fix C4800 warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d01d7a44a0746e1d6dbdc8509f0712708c1ff788
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 13:05:14 2014 +0200

    Fix C4715 warnings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 469dd6c0dfd659f40efbcc1bbb1553b9585be7a0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 12:39:49 2014 +0200

    Fix warnings C4100, C4101.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ce10853349a19d8c63749f2afdb7388242335d71
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 11:59:24 2014 +0200

    Fix C4099 warnings
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ac3b2a6923b7bce5093237789749a75b8a04163c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 11:39:30 2014 +0200

    Fixed many C4005 warnings and clean up related files
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0b7893df3a9bea6275cc6b0d5b8d874a8e03cc53
Merge: 443288f 6531088
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 3 10:33:06 2014 +0200

    Merge branch 'master' of https://github.com/GT-Derka/busmaster into GT-Derka-master
    
    Conflicts:
    	Sources/EXTERNAL/DmGraph/DMGraph.h
    	Sources/EXTERNAL/DmGraph/DMGraph_i.c
    	Sources/EXTERNAL/DmGraph/DMGraph_p.c
    	Sources/TestSetupEditorGUI/TSEditorGUI.cpp
    	Sources/TestSetupEditorLib/TestCaseEntity.cpp
    	Sources/TestSetupEditorLib/VerifyEntity.cpp
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 443288fa7293b422f3c1bbe077012d8bc9297683
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Jun 2 17:36:44 2014 +0200

    Fix more compiler warnings C4091 and cleanup related files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit dbd9090f7fdb834069828c6f560caf105e09b9b3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 28 19:10:36 2014 +0200

    Changed NULL to nullptr and fixed the issues found that way.
    
    Issues were assignments to incompatible datatypes, e.g. COLORREF, BOOL, ...
    The compilation shows again less warnings now.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fbd92760ca174887069381cfa9350602d59b970d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 28 17:03:41 2014 +0200

    Fixed many: warning C4100: 'nRepeatCount' : unreferenced formal parameter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit eba50a99e80cf7fc565ad2c6ea698daf7425eb45
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 28 13:43:40 2014 +0200

    Fixes for cppcheck findings
    
    * <error file="..\..\Sources\Application\BusmasterDump.cpp" line="20" id="unreadVariable" severity="style" msg="Variable 'hParent' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\BusmasterDump.cpp" line="51" id="unusedVariable" severity="style" msg="Unused variable: szScratch"/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="174" id="variableScope" severity="style" msg="The scope of the variable 'chString' can be reduced."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="330" id="stlSize" severity="style" msg="Possible inefficient checking for 'ouClusterList' emptiness."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="342" id="postfixOperator" severity="style" msg="Prefer prefix ++/-- operators for non-primitive types."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="470" id="postfixOperator" severity="style" msg="Prefer prefix ++/-- operators for non-primitive types."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="497" id="unusedVariable" severity="style" msg="Unused variable: chBaudText"/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="528" id="postfixOperator" severity="style" msg="Prefer prefix ++/-- operators for non-primitive types."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="540" id="unreadVariable" severity="style" msg="Variable 'nResult' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="570" id="postfixOperator" severity="style" msg="Prefer prefix ++/-- operators for non-primitive types."/>
    * <error file="..\..\Sources\Application\ChannelConfigurationDlg.cpp" line="590" id="postfixOperator" severity="style" msg="Prefer prefix ++/-- operators for non-primitive types."/>
    * <error file="..\..\Sources\Application\ConfigAdapter.cpp" line="470" id="unreadVariable" severity="style" msg="Variable 'pbyTemp' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\ConfigDetails.cpp" line="1742" id="unreadVariable" severity="style" msg="Variable 'bIsLoading' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\ElementSelection.cpp" line="194" id="unreadVariable" severity="style" msg="Variable 'm_bCreateSuccess' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\FIBEX_Structs.h" line="378" id="memsetClass" severity="error" msg="Using 'memset' on struct that contains a 'std::string'."/>
    * <error file="..\..\Sources\Application\FlexRayDatabaseDissociateDlg.cpp" line="149" id="unreadVariable" severity="style" msg="Variable 'bDBDeleted' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\FlexRayNetworkStatsDlg.cpp" line="241" id="unreadVariable" severity="style" msg="Variable 'lDataValue' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\FlexRayNetworkStatsDlg.cpp" line="244" id="unreadVariable" severity="style" msg="Variable 'lTotalB' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\MainFrm.cpp" line="18421" id="bufferAccessOutOfBounds" severity="error" msg="Buffer is accessed out of bounds: m_abLogOnConnect"/>
    * <error file="..\..\Sources\Application\NetworkStatistics.cpp" line="529" id="unreadVariable" severity="style" msg="Variable 'nOrder' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\NetworkStatistics.cpp" line="610" id="unreadVariable" severity="style" msg="Variable 'bIsStatCreated' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\NotificWnd.cpp" line="297" id="unreadVariable" severity="style" msg="Variable 'lpPreviousCount' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\NotificWnd.cpp" line="306" id="variableScope" severity="style" msg="The scope of the variable 's_nDx' can be reduced."/>
    * <error file="..\..\Sources\Application\NotificWnd.cpp" line="388" id="unreadVariable" severity="style" msg="Variable 'tempBuffAddress' is assigned a value that is never used."/>
    * <error file="..\..\Sources\Application\NotificWnd.cpp" line="501" id="unreadVariable" severity="style" msg="Variable 'tempBuffAddress' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ETAS_BOA\HardwareListing.cpp" line="620" id="stlSize" severity="style" msg="Possible inefficient checking for 'mHardwareListMap' emptiness."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\CAN_ICS_neoVI.cpp" line="1032" id="unreadVariable" severity="style" msg="Variable 'nReturn' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\CAN_ICS_neoVI.cpp" line="1491" id="unreadVariable" severity="style" msg="Variable 'nResult' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\CAN_ICS_neoVI.cpp" line="3099" id="unreadVariable" severity="style" msg="Variable 'iRetVal' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\CAN_ICS_neoVI.cpp" line="3113" id="unreadVariable" severity="style" msg="Variable 'iRetVal' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\CAN_ICS_neoVI.cpp" line="3185" id="unreadVariable" severity="style" msg="Variable 'iRetVal' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\HardwareListing.cpp" line="661" id="unreadVariable" severity="style" msg="Variable 'nSelected' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ICS_neoVI\HardwareListing.cpp" line="666" id="unreadVariable" severity="style" msg="Variable 'nArrayIndex' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ISOLAR_EVE_VCAN\CAN_ISOLAR_EVE_VCAN.cpp" line="158" id="unreadVariable" severity="style" msg="Variable 'ClientId' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ISOLAR_EVE_VCAN\CAN_ISOLAR_EVE_VCAN.cpp" line="159" id="unreadVariable" severity="style" msg="Variable 'Index' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ISOLAR_EVE_VCAN\CAN_ISOLAR_EVE_VCAN.cpp" line="456" id="unreadVariable" severity="style" msg="Variable 'nStrLen' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_ISOLAR_EVE_VCAN\CAN_ISOLAR_EVE_VCAN.cpp" line="829" id="unreadVariable" severity="style" msg="Variable 'sAckMap' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_IXXAT_VCI\HardwareListing.cpp" line="661" id="unreadVariable" severity="style" msg="Variable 'nSelected' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_IXXAT_VCI\HardwareListing.cpp" line="666" id="unreadVariable" severity="style" msg="Variable 'nArrayIndex' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\AcceptanceFilterDlg.cpp" line="170" id="unreadVariable" severity="style" msg="Variable 'bButtonChecked' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\CAN_Kvaser_CAN.cpp" line="1561" id="unreadVariable" severity="style" msg="Variable 'nStatus' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\CAN_Kvaser_CAN.cpp" line="1675" id="unreadVariable" severity="style" msg="Variable 'unClientIndex' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\CAN_Kvaser_CAN.cpp" line="1903" id="unreadVariable" severity="style" msg="Variable 's' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\CAN_Kvaser_CAN.cpp" line="1914" id="unreadVariable" severity="style" msg="Variable 's' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\CAN_Kvaser_CAN.cpp" line="2456" id="unreadVariable" severity="style" msg="Variable 'nStrLen' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\ChangeRegisters.cpp" line="807" id="unreadVariable" severity="style" msg="Variable 'unClockFreq' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\ChangeRegisters.cpp" line="1090" id="unreadVariable" severity="style" msg="Variable 'nColumnCount' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\ChangeRegisters.cpp" line="1769" id="unreadVariable" severity="style" msg="Variable 'pcStopStr' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\HardwareListing.cpp" line="659" id="unreadVariable" severity="style" msg="Variable 'nSelected' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_Kvaser_CAN\HardwareListing.cpp" line="664" id="unreadVariable" severity="style" msg="Variable 'nArrayIndex' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\AcceptanceFilterDlg.cpp" line="170" id="unreadVariable" severity="style" msg="Variable 'bButtonChecked' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="643" id="unreadVariable" severity="style" msg="Variable 'nStatus' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="914" id="unreadVariable" severity="style" msg="Variable 'nStrLen' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="1436" id="unreadVariable" severity="style" msg="Variable 'nChannelCount' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="1722" id="unreadVariable" severity="style" msg="Variable 'pchPCMCIA' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="1855" id="unreadVariable" severity="style" msg="Variable 'nUsedFlags' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="1902" id="unreadVariable" severity="style" msg="Variable 'unClientIndex' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="1916" id="unreadVariable" severity="style" msg="Variable 'ret' is assigned a value that is never used."/>
    * <error file="..\..\Sources\CAN_NSI\CAN_NSI.cpp" line="1906" id="unreadVariable" severity="style" msg="Variable 'nUsedFlags' is assigned a value that is never used."/>
    * <error file="..\..\Sources\DataTypes\Cluster.h" line="86" id="unreadVariable" severity="style" msg="Variable 'i' is assigned a value that is never used."/>
    
    ... and updated the cppcheck suppressions file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b9ddb5e879d1fabd4f53bc9d6786b456b72909fc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 28 10:33:42 2014 +0200

    Cleanups, especially get rid of "usage namespace ..."
    
    "usage namespace" is in most coding standards not seen as good practice.
    Especially when same classes are used in different namespaces, the
    behavior is unpredictable. It also brings more clarity if
    e.g. "std::string" is used instead of "string" only.
    
    Also cleaned up many comments that doesn't help. Including names of
    developers who contributed this code and large chunks of uncommented code.
    Both can be seen and retrieved vom the version control system (Git) anyway.
    
    "#pragma once" is nowaydays supported in all compilers (gcc, vc). So no
    need for include guards. It also seems to improve compilation speed.
    
    There are still some issues left I've found:
    * FlexRayDatabaseDissociateDlg.cpp: contains "sizeof(std::string)"
    * XMLUtils.h: switch has duplicated case SW_SHOWMAXIMIZED=SW_MAXIMIZE=3
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d1d8deba1a5172c8181c09f72876d27551d9dabb
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon May 26 18:37:56 2014 +0200

    Updated gitignore regarding new modules.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7923413b71a8cbad2d7dc7986281d94ecaeda7b2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 22 17:32:42 2014 +0200

    Cleanup of code.
    
    * Get rid of unused constants / variables / resources / files.
    * Improve coding style
    * Improve documentation
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 558e89b9e3525d349901ba92f802c5a355e4a407
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 22 10:21:20 2014 +0200

    Bug fix for sending CAN FD frames will DLC>8.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit bb02fa73cfbc6d920be86d32c9ffdf130308e799
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 22 10:20:51 2014 +0200

    Documentation enhancements and code cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 653108850d3fe15ca2356156d33a928a2396faf8
Author: AndreasDerksen <andreas.derksen@gigatronik.com>
Date:   Wed May 21 15:47:55 2014 +0200

    Added function to select channel in Test Automation (for Send & Verify) - Issue #244
    
    Added function to select channel in Test Automation (for Send & Verify)
    - Issue #244
    Due to Issue #697 channel-selection is not available for VerifyResponse
    Resolved wrong line-coloring #698

commit da44e18e6bc7b6e5e612365561d8793d0c521e7d
Author: AndreasDerksen <andreas.derksen@gigatronik.com>
Date:   Wed May 21 15:28:39 2014 +0200

    Revert "Channel-Selection in Testautomation"
    
    This reverts commit c320fa4c5c48884d2da2d6e4d72c02a0adefb4a7.

commit d6bd4690da4753dc7bb6f4f23feb22a29026a623
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 21 11:36:21 2014 +0200

    ERROR and ERRORS in Test Automation were inconstent.
    
    .. inconsistent regarding the documentation, but also regarding the read/write operations.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0155c45e5146f31f00f522e2dbc3ffcbddb20726
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 21 09:42:44 2014 +0200

    Installation of TestAutomation example.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7701883379bac02157fad1c53b97f7ef4a4b1ae1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 20 18:00:03 2014 +0200

    Test Automation example added/improved.
    
    The SampleTestSetupFile.xml was moved from the help documents folder to an own Examples folder.
    In order to validate the file an XSD schema file was added.
    In order to use the file a corresponding dbf file was added.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c320fa4c5c48884d2da2d6e4d72c02a0adefb4a7
Author: AndreasDerksen <andreas.derksen@gigatronik.com>
Date:   Tue May 20 15:27:28 2014 +0200

    Channel-Selection in Testautomation
    
    vcxproj: Additional dependencies only
    other: Introduced Channel-Selection for Sand and Verify in
    TestAutomationen

commit 884b8300ce479890d31a8eda80b82ab20087c299
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 9 11:44:54 2014 +0200

    Links to TestCocoon updated. Closes #694.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 715a56e4b84e7755bcbd84405bedb01b916b32aa
Merge: b75fc20 7137890
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 30 09:05:00 2014 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster
    
    Conflicts:
    	Installation Setup/BUSMASTER INSTALL SCRIPT.nsi

commit 71378909ea77eb330fb3b504ee232c785a4fc871
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Apr 3 18:45:22 2014 +0530

    updated version info

commit 26eda7dfa971db95ea44705d7dc3fc8b667fe50a
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Apr 3 18:03:43 2014 +0530

    Updated for linking

commit db624254f4abf19bdb2e81927678b4fdd3b37852
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Apr 3 15:52:09 2014 +0530

    updated for v2.3.0 changes

commit 8e0feafe8bddd8e4f9f0291ed77aa465616456b7
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Apr 3 11:51:18 2014 +0530

    Updated for v2.3.0

commit b75fc205636cf06a7ad6a38ec37a316a49953d83
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 26 13:00:01 2014 +0100

    Added timestamp calculation for MHS Tiny-CAN driver
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ba724429bd24b9ed02d59ab833c4b7f303c1f899
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 25 18:54:15 2014 +0100

    Improve include path in vcxproj-files and some h-files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 12eaa61b1ac769493de7b21ef303ffe27e8f3456
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 25 18:52:49 2014 +0100

    Extend FlexRay support from ETAS BOA v1.5 to v1.4 and v2.0
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1ef5ff2e24da50102096b5142631269726273e94
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue Mar 25 18:57:36 2014 +0530

    Updated for Filters, Message Window configuration, Signal Watch and Network statistics for LIN

commit 7202b351df3660a79662bf4a104d5a07c2194468
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue Mar 25 18:53:46 2014 +0530

    Updated for Signal Watch, Network statistics, Filters and Message Window configuration for LIN

commit f3fcb7ebebfa872108d8d015b30f470af33f0041
Author: Prathiba <Prathibabharathi.pagadala@in.bosch.com>
Date:   Mon Feb 24 16:24:46 2014 +0530

    Updated

commit 98a106e175fc64290f00e9e85e54b5ccdd52535d
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Feb 21 17:03:52 2014 +0530

    updated version

commit 5897449712163bc82bfb881f78de0bee29996075
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Feb 21 16:18:09 2014 +0530

    Updated whats new

commit 741b02c52e91a05c4d362d6885b9a07273966ea3
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Feb 21 16:11:53 2014 +0530

    Updates for BusMaster v2.2.0:
    LIN ETAS BOA
    LIN Logging
    BOA 2.0 support for CAN and CANFD
    Bug Fixes

commit 530be843a25ac401efa5d8ac246cec7e34251b26
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue Jan 14 13:08:10 2014 +0530

    Updated for v2.1.0 milestone

commit 92e89f8a3911b5671d3e9adf913d32a7a900bce8
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Nov 22 14:45:47 2013 +0530

    Changes for v2.0.0 Phase-II

commit 4a87dabc6868e15277319137e08b1528f9a52a3e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Sep 19 17:25:31 2013 +0200

    Provide support for BOA v1.4 and v1.5 in parallel.
    
    * Project files have been duplicated (vcxproj)
    * Compilation for 1.4/1.5 based on compiler -D flags (
    * Selection automatically done based on registry keys (vLoadEtasBoaLibrary)
    * Installer script updated for CAN_ETAS_BOA_1_4/_1_5
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 74094d90d3744217117f4b6c7b53101eee77ac52
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Sep 18 14:19:39 2013 +0200

    Update of Intrepid CS include files. Minor Cleanups/Corrections.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ab45996e15724a7d94a6678fcdc4042038787070
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Sep 18 13:31:22 2013 +0200

    Several smaller cleanups
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1327fc69a8a035eddbcac828843449f21afe681b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Sep 18 13:28:57 2013 +0200

    Support multiple compilation with different ETAS BOA versions.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 84ee3631e743ab58a4acee6c1dd02e4d230b738c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Sep 18 12:50:47 2013 +0200

    Remove obsolete stuff.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 974280409b33c23878d5c56dd81c553b590ec5af
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Sep 18 10:51:38 2013 +0200

    Update gitignore
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ed41bc2c25b792a481e33ba995b1e450f638031b
Merge: 219643e 63df8aa
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Sep 17 16:39:35 2013 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster.git

commit 219643ed498c2c94d34a44eb0038ef9606f2a474
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Sep 17 16:38:47 2013 +0200

    Install icsneo40.dll unless there is a newer version already installed.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cb49bf309b68aaab5457e8247e1466df14fad1f3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Sep 17 15:34:25 2013 +0200

    Remove MinGW from repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1c45d163f177f995f664b3643e65ac54639bf6d3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Sep 17 15:31:47 2013 +0200

    Update of Intrepid neoVI driver.
    
    This installs icsneo40.dll in System32.
    ES581 is now also using icsneo40.dll instead of ETASneo40.dll.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 63df8aafc68fef312f29f6e7d4c183e37bec847f
Author: RBEI-Prathiba <PrathibaBharathi.Pagadala@in.bosch.com>
Date:   Fri Sep 6 20:54:16 2013 +0530

    BUSMASTER v1.9.0 Commits

commit 5af3cae6292f2afc5f9f0f434400417843b61db0
Author: RBEI-Prathiba <prathibabharathi.pagadala@in.bosch.com>
Date:   Fri Sep 6 15:21:47 2013 +0530

    BUSMASTER v1.9.0 Commits

commit 73bfeb4abd4cb0ca30ade6d866eba6f255e2f7f7
Author: RBEI-Prathiba <prathibabharathi.pagadala@in.bosch.com>
Date:   Fri Sep 6 14:21:05 2013 +0530

    BUSMASTER v1.9.0 Commits

commit 73ba839981fea85dd6144b446c63bb4d955e6e53
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Jun 19 18:57:37 2013 +0530

    Milestone 1.9.0 Commits:
    1. For issues: 495, 498, 529, 530, 531, 532.
    2. Addition of Installation script for preparing patch installers.

commit 44ea1f3d43d7883209dfe2e9fddc2300c76f83f9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Jun 18 14:55:59 2013 +0200

    Fix for issue #454 (Thanks to koenigtm)
    
    Two patches for "crash on close" issues without resorting to the compatibility flag.
    
    Another heap corruption happens after building a simulated node due to an off-by-one error.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a3dc90a11442a5ee90b99885d31d3c6810b4ee5d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Jun 17 07:59:00 2013 +0530

    Milestone 1.8.1 Commits: Removal of unused resource entries.

commit 778582ec3f35579d96d25ec69d1204f4b1b5fbb1
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Jun 14 14:44:42 2013 +0530

    Final integrations for Milestone 1.8.1.

commit ba4669edb2ede59a3ef0c10d02f1458d0c6ef18f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 21 07:56:07 2013 +0200

    Driver Test removed.
    
    This was improperly implemented for most drivers.
    It was only seldom used.
    
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e7d2e8090510100c270c85771fbca10fde9c2a4b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 21 07:00:06 2013 +0200

    Obsolete FilterFrames removed.
    
    It was not implemented for any hardware and was never called.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1143f75d96f7f27f205f7168243836416ffcace5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 21 06:53:45 2013 +0200

    Obsolete EPP parallel port functions removed.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cabee4a930a3982d04285e9d0de7079be6504fe9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 21 04:43:18 2013 +0200

    Hardware reset functionality removed.
    
    It was not fully implemented anyway.
    Mostly it is equivalent to stop/start cycles, which is more intuitive anyway.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a7bd82f573af50879990ccd2e409227e8b9123d8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 21 04:28:26 2013 +0200

    Hardware blink functionality removed
    
    The hardware blink functionality was part of a few hardware selection dialogs, and very seldom used.
    The rest of the dialog is identical for each DIL, thus can now be moved to one common place.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9a2aa360ebc1af4a3a36592aac5926321f5848cf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 3 16:12:00 2013 +0200

    Cleanup of NSIS files.
    
    Results of the compilation process should not be part of the repository.
    Thus BUSMASTER_Cleanup_Registry.exe was removed. It can be generated
    by compiling CleanRegistry.msi. This is done now by the following...
    
    The build.bat has been extended to cope with 64-bit Windows versions.
    The compilation of CleanRegistry.nsi was build into the script to
    generate BUSMASTER_Cleanup_Registry.exe automatically.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fee2b66c2be3d8d93dcc96d149b9002900f2bc0d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 28 17:00:26 2013 +0100

    Improvement of AStyle tool integration.
    
    This patch does three things:
    * Move astyle.txt options from Tests into Sources
    * Get rid of NewAstyle.bat and integrate changes into astyle.txt
    * Add 64-bit Windows paths to build.bat
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e0193a901833f83439fae43ad03daf417ae831da
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 28 16:33:25 2013 +0100

    Clean out intermediate and output files of compilation process.
    
    There should be no files in the repository that are auto-generated as
    part of the compilation and test process.
    
    Therefore files in Source/BIN/Release/ConverterPlugins have been deleted.
    BuildLog.htm have been deleted.
    Output files of flex/bison (parser.h + lexer.c files) have been deleted.
    
    The gitignore file has been modified to keep such things out of the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 42e7e62f3e40b5eddd5582868da3d8c773d21e70
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 28 09:05:51 2013 +0100

    Update of build.bat's to support 64-bit OS and Python 3.3.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b8e8b8ff24f7ff1ba5033187bc5fac5321e16488
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Mar 18 15:36:04 2013 +0530

    Updated documentation as part of milestone 1.8.0.

commit b6dc0def6d590de5840752e188c6a19a7fcf9551
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Mar 18 14:09:04 2013 +0530

    Updated version to ver 1.8.0 in resource files.

commit ba2cfcef582045e94e140e7630a9b33a27e3d0e2
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Mar 18 14:06:01 2013 +0530

    Changes made to source, documentation and Testing modules as part of
    Milestone 1.8.0.

commit b26d8e894cfd6327665b285a7568f1ddaf5421f2
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Feb 18 12:47:24 2013 +0530

    Updated documentation as part of milestone 1.7.3.

commit f30eb75b5f434e63b99c733e791bcce534343b18
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Feb 18 11:00:59 2013 +0530

    Updates to IXXAT project file.

commit 5e90feda40e4eaee4e1440dc86e3f3f68ee5c755
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Feb 15 19:15:34 2013 +0530

    Updates to ReadMe.txt

commit 4af76697692ba304a6b0275320caa27211ef3c4e
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Feb 15 19:08:21 2013 +0530

    Fixes, updates to documentation and Test Specification reports as part
    of Milestone 1.7.3.

commit 82b1afbc984992189bce56412c3b8f47463c03f7
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Feb 8 13:54:35 2013 +0530

    Removal of Unused code in format converters.

commit 76e06f5d380a750de76c61447b9eec17a58e2aa5
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Feb 8 12:29:02 2013 +0530

    Fixes for issues based on review and initial testing for milestone
    1.7.3.

commit 5f63b5389e3e00ba55d9036dfcde8cad7c50b2bd
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Jan 24 11:17:28 2013 +0530

    New files added to vector DIL for addition of configuration dialog as
    part of ver 1.7.3 fixes.

commit 6622e6ef1108d668eaae0138f33ce5d6d0237e28
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Jan 23 20:53:44 2013 +0530

    Fixes for milestone 1.7.3 and updates to test automation.

commit c5d4e39f88c59523988b4fc89beabd6874f1fe8d
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jan 21 13:14:39 2013 +0530

    Bug fixes for v1.7.2

commit 5eb74f32b29e49789df249a8c699c084584d7616
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Jan 11 18:27:03 2013 +0530

    Updated for v1.7.2

commit c2c968f021a233e1304d8da315773761e47f76b7
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Jan 9 20:01:36 2013 +0530

    Fixes for milestone 1.7.2 release (issues 313). Updates to help
    document.

commit 7fd55c88e2ac8f1925d10eba50f13d310217a9bc
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Jan 8 20:56:15 2013 +0530

    Fixes and improvements for 1.7.2 milestone and updation to test reports.

commit 4725d721a949dae13c9861463d29aa4077515b11
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Jan 4 19:39:34 2013 +0530

    Fixes for milestone 1.7.2 release (issues 315, 345).

commit c0bd91d0f3a8f6141c02c076d399382aa2d99a76
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Jan 3 21:29:45 2013 +0530

    Fixes for milestone 1.7.2 release (issues 342, 378). Updates to
    development environment document.

commit c162fa44755bafb0ba173c7297db1786776ab190
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jan 2 17:35:50 2013 +0530

    updated for Test automation, Tx Window bug fixes

commit d65d034ff2903032d18bb1726f26ba7e060af8aa
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jan 2 17:34:46 2013 +0530

    updated for busmaster_debug mode issue

commit 36ec67cfe299d9019839c39056ea4f1bfd4aee87
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Jan 2 17:34:09 2013 +0530

    Added build configuration topic in Development Environment

commit f6a76305ddeef2993d89a2c3438057c4d8f861c6
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Dec 28 15:17:01 2012 +0530

    Code changes for issue: 379 - J1939 transmitter issue

commit 8acbb89254560fcc2309e0046dc7725c32ec1839
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 27 19:21:00 2012 +0530

    Updated project settings and added required files required for
    Busmaster_Debug mode.

commit a097cdaf5cc8a39e1aaafbedcc488bf33d064174
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu Dec 20 17:39:31 2012 +0530

    Update Readme.txt
    
    Added information for the latest v1.7.1 download link

commit bca19e2fea9f9f6e7b2c925f8336e7fdc5dfb194
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 20 16:04:35 2012 +0530

    Updated test reports for milestone 1.7.1.

commit bb3115ab95d035b17d05f247b5d130828fd73b16
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Dec 19 20:00:04 2012 +0530

    Updated with version information to 1.7.1.

commit 869585720e0dd8003c7a233e9648d3d21c94e752
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Dec 19 19:37:33 2012 +0530

    Updated with Astyle changes for milestone 1.7.1.

commit 05e2e20cce8325708549deaa830d0ee234ca1fde
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 18 19:01:46 2012 +0530

    Minor fixes for milestone 1.7.0.

commit 224f3217323e95ac5e22a768dbccb5180af4c304
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 18 16:15:40 2012 +0530

    Additional fixes for milestone 1.7.1 and updates to 1.7.1 test reports.

commit 4098dfd3a1b76de44eeb80aecec6dc8539df0b9d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Dec 17 19:10:29 2012 +0530

    Fixes for milestone 1.7.1 and updates to 1.7.1 test reports.

commit eb87211fbcb6ea360a953343b566d32139a7375f
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 13 17:45:37 2012 +0530

    Changes to JPN rc file for git issue #302.

commit 89233011ce3cb8f60fef1a059671ee7af907264b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 13 15:47:06 2012 +0530

    Addition of Test reports for milestone 1.7.1.

commit fcafb59d6ac332a1347a3de3e63da8709e7683b9
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 13 15:30:29 2012 +0530

    Checkins for 1.7.1 fixes and improvements.

commit 87be0b0010ee421d0fb747c56ca0e7bb3651fe0b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Dec 10 18:55:13 2012 +0530

    Fix for git issue 363 and improvements to git issue 323.

commit a34b49f6ecad273e2b3eb9e7b171346ea6206938
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Dec 7 18:53:27 2012 +0530

    Fixes and improvements for 1.7.1 milestone.

commit 9fbe227890618a747ef6b91f030a01ea92e26fa8
Author: auc3kor <auc3kor@KOR307967.kor.apac.bosch.com>
Date:   Wed Dec 5 18:24:29 2012 +0530

    Dynamic linking for NLS(intl.dll) and a few bug fixes

commit 4a8bafc4101d67ae12cc1ce522a3f0461ee527f5
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Nov 26 20:14:52 2012 +0530

    Checkins for milestone 1.7.0.

commit fe965e4ec07fd89ca63bdf5bddd4e4cff7ca13ce
Author: RBEI-Prathiba <PrathibaBharathi.Pagadala@in.bosch.com>
Date:   Mon Oct 8 11:52:21 2012 +0530

    Updated Information page regarding MinGW installation

commit 70e2b45b62aed855478a6a9cdc9d4950eb264971
Author: RBEI-Prathiba <PrathibaBharathi.Pagadala@in.bosch.com>
Date:   Mon Oct 8 10:41:12 2012 +0530

    Added information page regarding MinGW installation details

commit 94915a2039942e3a5f6ab569c9c59f295377497b
Author: PrathibaBharathi.Pagadala <PrathibaBharathi.Pagadala@in.bosch.com>
Date:   Fri Oct 5 17:41:10 2012 +0530

    Code changes for Busmaster v1.6.8 bug fixes and enhancements

commit 62510826311c1a4b9a165bd8d77d36c466fb4251
Author: PGA3KOR <PGA3KOR@KOR317869.KOR.APAC.BOSCH.COM>
Date:   Thu Aug 30 19:50:50 2012 +0530

    Updated Version information to 1.6.7

commit 4206391c760fb68f4f97150279f5d6ea131da382
Author: PGA3KOR <PGA3KOR@KOR317869.KOR.APAC.BOSCH.COM>
Date:   Thu Aug 30 19:13:29 2012 +0530

    Updated for Issue 242

commit 457050edb6d1e9c950e2b09e77f9d008b951999d
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Aug 27 21:17:28 2012 +0530

    Updated database editor changes

commit 6ba3278935869ce826043c47d071f1ca9d35755e
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Aug 27 20:25:38 2012 +0530

    Updated database editor changes and node simulation message name
    handler fix

commit 55cd19c53c52d2dff1eec3d834e6694b066f3be2
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Aug 27 16:19:10 2012 +0530

    newly added files for BUSMASTER 1.6.6 ( sources + documentation)

commit 292c6b984d1d39ed477652307cdfc103dca553c2
Author: saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Aug 27 15:52:25 2012 +0530

    Updated for BUSMASTER v1.6.6

commit 726a0e5b4bc738cb42fae276d12e647473cc455b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Jul 30 12:08:52 2012 +0530

    Update Sources/CAN_Vector_XL/CAN_Vector_XL.cpp
    
    Updated helper funcion bClassifyMsgType(..) to copy only valid DLC data. Fix for Git issue: 202.

commit 7cee2029c3e1225ab83e696457543548194610c3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Jul 6 19:40:05 2012 +0530

    Updated with more test cases for filters

commit 8c4bb36de020c5cba24143bc1529f5800f80ffd3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Jul 6 09:31:27 2012 +0200

    Updated PSDI_CAN module and related AutoIT scripts

commit cc4919a1e3768bcd33178192f159332f4aa338ce
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Jul 6 11:36:32 2012 +0530

    Updated with addition of IXXAT DIL to installer.

commit 47ed3a674e333d8475c8c197933b0c496ada73e3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Jul 5 08:14:41 2012 +0200

    Addition of boost project for Datatypes module testing

commit 3acfea2d824a688d97a910e2d0db7473c5368158
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Jul 4 16:32:10 2012 +0200

    Updated with CAN logger WBTs addition

commit 604c1ab6f52e7a050d87f0d0baaf7ab523f4ac64
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Jul 4 12:46:07 2012 +0530

    Updated with more use cases for signal definer dialog.

commit 226aedc7f6cce10a96ccf2bf02c1d085a30fd472
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Jul 4 08:07:08 2012 +0200

    Removal of dead code and updation of replay autoit scripts

commit a75291156bb48878c3627f8a2cd09546d530a88d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Jul 3 14:35:12 2012 +0200

    Addition of script for CAN signal watch module

commit c0dc2a233a2d0d19a5fde6fc3466e4472833c038
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Jul 3 11:46:51 2012 +0200

    Addition of new script and removal of unwanted code

commit b44d845ab29d398c36ddef478be1dd4b599ed885
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Jul 3 15:07:58 2012 +0530

    Removed unused header file inclusion.

commit 75bcacffce20e34f1807fcc36708d8cbdcb2b20b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Jul 3 09:24:03 2012 +0200

    Test automation scripts addition

commit b5ee77b10192ad8066b1825ec454be4833628415
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Jul 3 08:50:37 2012 +0200

    Updated AutoIT scripts and addition of DIL code coverage through boost

commit 6672c58364924fb66c6c9e9fd8d85fd748564bfe
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Jul 2 12:26:29 2012 +0200

    Updated for BusMaster v1.6.5

commit 1340c6f02be1504a7ba0653d7eaf0c44f61005e6
Author: Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue Jun 19 12:16:34 2012 +0200

    Updated IXXAT changes

commit c5131c2ce46ef7d2d7bcf89ebfe2fe2f4c4b26c4
Author: Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Jun 15 12:48:13 2012 +0200

    Integrated IXXAT code

commit 6e59e953384b4d20b2473f6d34e6f8ee4b9295f0
Author: Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Jun 8 18:27:34 2012 +0200

    Removed bison.simple file from Test Executor

commit c3e1bb810a386c0f676c98f94b70e9b0563ebe85
Author: Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri Jun 8 18:19:57 2012 +0200

    Reintroduced document updates

commit 586d950f91f9a8384b8226e7857d7eb9fcc0bcc1
Author: Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Mon Jun 4 16:58:59 2012 +0200

    BUSMASTER v1.6.4 Release changes

commit eeaf4bf413ba494663640135f88e250e2ad19b98
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 28 12:59:53 2012 +0200

    Commented accepting return value from API call

commit 97f12e9f73b4ad3696b59c9f0ecfea7fe05cbabb
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue May 22 12:55:17 2012 +0200

    Reintroduced Bison.Simple file for TestSuiteExecutorGUI project

commit 01af97301e49a6d0f5990ca2530382e6587f7f20
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue May 22 12:30:14 2012 +0200

    Final Integrations for ver 1.6.3

commit baf7c71b3aa4e27134dd501605c34b42147b5793
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 21 09:19:33 2012 +0200

    Version 1.6.3 Release changes

commit 24c54bc2a14186a1a17f86eec3ca23caafc765f3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 21 08:38:32 2012 +0200

    Minor changes for ver 1.6.3 Release

commit 2753b06e10469eca5322aab567a83f82c938aea4
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 21 07:48:26 2012 +0200

    Version 1.6.3 changes

commit ef1fe48ce4703e5315706b8aca0b78124f97c3b2
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue May 15 16:50:51 2012 +0530

    Reintroduced checks for verifying the length of message bytes for RTS frames.

commit e6c3feebe39bfdaedd46840824f1c9d715e0023f
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue May 15 15:10:02 2012 +0530

    Value 0 is restricted for sampling time period in signal definer

commit 4a14f7b70d79136abab75573a6a855dcb2a2f899
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue May 15 15:08:48 2012 +0530

    Value 0 is restricted for sampling time period in Signal definer

commit 328ed954f4e5efec3effe8fa390cfd5b2811a45b
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:51:21 2012 +0530

    updated vRemoveSignalFromMap function

commit 7944bcc140c68f06ad6c3b8de7820c75296a699f
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:37:52 2012 +0530

    Thread termination code

commit 84d38d6ce94ddc5fe6f7711291130a53b214d18a
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:33:05 2012 +0530

    terminate the thread code

commit ddbf2eb35efd8f93436d750a1085ee068d265da7
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:31:06 2012 +0530

    added 'delete the invalid signal from the signal watch window' code

commit 952d2f65131472b80e11f0bc5a10a57a393c58aa
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:25:08 2012 +0530

    added vDeleteRemovedListEntries function

commit 260c565fe721e962ffb9881e31b3b683d30f4e93
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:19:54 2012 +0530

    added vDeleteRemovedListEntries function

commit 814f0df45d3bdae7a6cd1f318f5c4cbb83564b06
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:17:02 2012 +0530

    Added vDeleteRemovedListEntries function

commit baeae77c43bec7c0ac0d906f5dc8b655379cbdac
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:13:31 2012 +0530

    Added vDeleteRemovedListEntries function

commit 4fb4a1a6886e11211ee06da5de1f6002184cb187
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:10:31 2012 +0530

    Added Signal count functions

commit 161b3c287f9486dacd3c65bf4c05c8382a0f77c0
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:03:53 2012 +0530

    Added Signal count messages

commit 773c85561ac16d56cba794b5645d3d883c3b64c2
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 20:01:11 2012 +0530

    checking NULL pointer

commit dab06b0c81164e1cec89c8cc635bd19c2898154f
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:56:47 2012 +0530

    enable /desable logging control

commit cee0921a6c02aab39dcef78cd779c8cbde1b45e3
Merge: 28f7c67 32a09cf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon May 14 16:17:19 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 32a09cf87a5ac79d526275bbdc031facdd82b39b
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:41:09 2012 +0530

    Added save menu to J1939

commit 3a5ddab65aa74883cfa76c637d7816190afc5a16
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:39:10 2012 +0530

    Added save menu to J1939

commit bd86503261f688809ac52457a84299ee2d660156
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:31:58 2012 +0530

    Added save menu to J1939

commit 28f7c67dd50d34899693ba96558d543779105511
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon May 14 16:00:56 2012 +0200

    Improve flex/bison invokation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 779dc6f2a094fe8e602dfba11c80d6a9ff3df17f
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:28:18 2012 +0530

    adding save menu to J1939

commit b0de5867e0658d72a6c11433a9534301219c44cc
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:23:17 2012 +0530

    Added save menu to J1939

commit 2830ed6a258f67e86f92c97c4c8361a65a3b7e5d
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:13:22 2012 +0530

    checking for valid log path

commit 7fc1216f226cc9fa47806e6e35ceb7efe4fffc4d
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Mon May 14 19:06:04 2012 +0530

    Added Save menu for J1939 Database

commit d97e75159cb653187274fccf540017fb37e0ac34
Author: Venkatanarayana Makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon May 14 11:01:42 2012 +0200

    Parser generated files are removed from the source\TestSuiteExecutorGUI\ Folder

commit 2c4c16de6c5d7acd4c29ea58485e1cc425bc6b35
Author: Venkatanarayana Makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon May 14 09:26:12 2012 +0200

    Codeproject code Colourpicker Colourpopup and memdc are removed

commit e65945dccf4686a4cc14e6a9e655cd56926165cb
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Fri May 11 18:37:31 2012 +0530

    Hexadecimal values are prefixed with 0x

commit 25a1ee4ba422f32e5598321dd1e5b59d2042dcc8
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri May 11 12:06:18 2012 +0200

    Added user messages for key handlers

commit e9453ce85b9757bf500759d27586151497d4bdde
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri May 11 08:13:32 2012 +0200

    Changes for ver 1.6.3 fixes

commit 63f863ae1a04bd5bcb3bdf83d63c779f5377e222
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 20:25:11 2012 +0530

    Zoom restore problem fixed

commit 80d37ca1cf40c09226c929b3edaf1e78efba6887
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 20:21:41 2012 +0530

    Message name list combo box width is increased

commit 28147d22b82d8d7abc00742a056a9de0b0ec06c0
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 20:21:02 2012 +0530

    Message name list combo box width is increased

commit d1379e1e7885d2acdbf8cb410a88b878b1e2ca7c
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 20:13:15 2012 +0530

    Added message handlers

commit 98d06df63f331e673c7b1bcbe8b4f5c8ac2c7347
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 20:12:40 2012 +0530

    Added message handlers

commit d7b09b07e7162213faef5172038a5dfc09673fc5
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:58:00 2012 +0530

    Message id is obtained from the structure rather than from the text from UI.

commit d1338dfc9bbb0a7076b0683d062b5b53d1848fb5
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:53:52 2012 +0530

    Null check added

commit caf7e122e57d36e54894fce785fed08f5923f529
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:52:11 2012 +0530

    Updated functions to handle the version information in log file

commit 0276317acc5ea311629b5f2affb3c776334354e7
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:51:43 2012 +0530

    Updated functions to handle the version information in log file

commit b21e6eb27430c5fb79d7221cf0c952f56e164ca5
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:51:05 2012 +0530

    Updated functions to handle the version information in log file

commit c37df36cba1d94ef2869cb00ef6f9468627f56be
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:50:40 2012 +0530

    Updated functions to handle the version information in log file

commit e3955c792bfa14ff0986af51da9b134ebd23abb1
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:49:57 2012 +0530

    Updated functions to handle the version information in log file

commit b3c51e798b2e58486e00c0f880852cc32c2a0d1b
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:49:19 2012 +0530

    Updated functions to handle the version information in log file

commit 6adc6f0b966398eeb6bd18600b4ae824070e706d
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:48:00 2012 +0530

    Updated functions to log the version information

commit cd88a4aade0bbafbca5141453afb820424b84132
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:46:54 2012 +0530

    Version information is passed.

commit 1e505a59b41c8b0d07977920005a7d2d00e495ba
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:44:14 2012 +0530

    Width of the combo box to list the message names is increased

commit c7ebf8cae44fac0f9c10f1e1ace95c2aa7164f08
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:43:30 2012 +0530

    Width of the combo box that lists the message names is increased

commit 6a8dd4ab92be50a9ed8f4dcf086db58e5926a253
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:40:49 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit 52936404879b53d40abc51a95c4b3a88a8b6e64a
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:40:22 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit 71a85fb100060a62ccb52fe73e27fac8335ab86f
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:38:03 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit 7b6037ee3139a17727c2512ffdd1451b900f2371
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:36:17 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit af7ef496f969e72754dc1220d62dc675391e4152
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:34:57 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit d278691bc8e487601ac7bc7df545147e3a9b1065
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:34:25 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit b799dda73fbcf0a3df6001825639b029bcced4f6
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:33:16 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit faa3cef10ff41ec86d1e35c83c3631ba1f60404e
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Thu May 10 19:32:02 2012 +0530

    Passing the key events to the mainframe to handle key handlers and also connect and disconnect is handled

commit fdb2a8f3847cd66bb177003e462bae1e62ce7201
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu May 10 13:07:32 2012 +0200

    Test Setup Executor bugs are removed

commit a803eadd224e51441fb65dceacadf4448ab834b6
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu May 10 13:07:58 2012 +0530

    Commented unnecessary message box.

commit 9f3f57c8d9c00837f4595a46fdc303ddfa8cdb43
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu May 10 13:06:44 2012 +0530

    Introduced checks for verifying the length of message bytes for RTS frames.

commit 466b65e45973152250e902731f449e59f07196dd
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu May 10 13:02:45 2012 +0530

    Introduced checks for verifying the length of message bytes for RTS frames.

commit 715d9ef1b53de9002c8cff02cfe4a1c1535c248a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 17:25:01 2012 +0200

    Fix cppcheck warnings
    
    * The scope of the variable 'unMsgID' can be reduced
    * Variable 'unMsgID' is assigned a value that is never used
    * Variable 'hr' is assigned a value that is never used
    * Variable 'unMsgID' is assigned a value that is never used
    * Variable 'nBufferSize' is assigned a value that is never used
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 75489c2ce6fe8cd842631cc3650a2dc9bb56dbe4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 17:19:00 2012 +0200

    Fix cppcheck: C-style pointer casting
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e2362a467d72a7959e48097ed2415fa708a42e1a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 17:11:43 2012 +0200

    Add can_types to CAN_MHS vcproj.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 17b60f7ac1de5101a2f7af00adc38f94098bf9de
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 17:00:45 2012 +0200

    Prevent warning C4239.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit aec5154af3d7d62c59bfc0991600d64ab5b67ec1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 16:51:45 2012 +0200

    Improve Doxygen comments in CAN_MHS.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 37f7d55990e983ed222ee4ae5701edb372630af5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 16:43:37 2012 +0200

    Improve Doxygen comments in DIL_J1939.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f0c95780357c1ce29522ace80aec7cb6eb578bad
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 15:37:31 2012 +0200

    Improve Doxygen comments in DataTypes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 40ee74ea29202c744278e8737e88d4ca89234160
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 15:09:57 2012 +0200

    AStyle run
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cf0dbb55dcc944ce73f5f39682486c1e1b4243d0
Merge: db850a3 d6eec88
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 9 15:07:11 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit d6eec88637ab0233066399c4e6c888360fb2db5a
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Wed May 9 15:21:27 2012 +0530

    problem in Interpretation of -ve signal values is solved.

commit 8d67f440310cca256c9eeeab76648598243128e0
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Wed May 9 15:19:18 2012 +0530

    problem in Interpretation of -ve signal values is solved.

commit db850a31d340d73809909df1d8900a143cb1fd41
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 8 20:15:48 2012 +0200

    Cleanup resource files (.rc, .h and .hm).
    
    * Deleted unused dialogs
    * Deleted unused help IDs
    * Deleted sections with APSTUDIO_INVOKED
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 22ebcda512881b153391aa211d01434b40072066
Merge: 4a6b971 9e9c4fd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 8 16:05:27 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 4a6b97134ff3ec880936d23b1d2edf0b3026efaf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 8 16:04:46 2012 +0200

    The manifest tool should not be part of the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 87c9d451a7f5b257da76612417f60f7840bcf807
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 8 16:02:23 2012 +0200

    Project Name is BUSMASTER...
    
    ... otherwise the message window on startup that reports
    missing configuration (.cfx) file will be titled MCNet.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 939a29c8431861390a6c269560fe802ad2061884
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 8 15:58:42 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9e9c4fd242f077bc584266f1648f7934764207ce
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue May 8 11:01:45 2012 +0530

    Provides facility for Ctrl+c, Ctrl+v, Ctrl+x in Alphanumeric Edit Box.

commit 7ab9a2cb70715098ae742caa290b6ea1c699e621
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon May 7 18:13:48 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0debfbc29ccb45f4085edfe17681577597d438d3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 7 17:40:10 2012 +0530

    Addition of function to automatically adjust the width of PGN ID combobox.

commit 8cabb8e85255dcf0d7078fd647d4d611bb673ea8
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 7 17:33:05 2012 +0530

    Added function declaration for 'vAdjustWidthMessageComboBox'.

commit 9d683c716434869116de6cfa0e52a728e3ac929c
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 7 17:19:45 2012 +0530

    Introduced check to have no data for RTR frames. Fix for issue: 189.

commit be60cc251ca9ad1a88f764a8c6bdacd3480140da
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon May 7 13:41:38 2012 +0200

    Move LockKey.bmp to Application/Res.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0a6bc787781dd0c5b9b3f345d44b1d4a5ea1af2e
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 7 15:35:58 2012 +0530

    Update J1939 message window and Tx Window when an associated DB is modified. Fix for issue: 182.

commit f17f6229b3aa62470b5884841476bc4212d560ca
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon May 7 15:31:35 2012 +0530

    Clear previous interpretation values for J1939 before updating with new values. Collapse expanded message interpretations.

commit ea5ca3a152c57d78015b7a8c8f307fd509c31e0d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 04:59:53 2012 +0200

    Drop StdAfx from main Application.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0666950939cff27c836f689b2d35223a50c98462
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 02:10:46 2012 +0200

    Migrate FilterDisplayInfo to class in order to use std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 31a67858527644b37a5fe036cb68a6e8fecfdd38
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 02:09:53 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 622536be55effb939aa979d5c7994f9736c5b745
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 01:06:06 2012 +0200

    Use std::vector instead of arrays.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ba5673cb726d51a76e3826536900674f57b39f82
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 01:02:42 2012 +0200

    Improve documentation. Cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c766858379bd722fe24021b3fcf8d3841b14747e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 00:44:41 2012 +0200

    Cppcheck fix: Member variable ... is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9588ad55f0f9f9df1cd0b5b884895e08892c0453
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 00:43:58 2012 +0200

    No need to specify namespace when std is used anyway.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a81610c6fd327bb6f8d806a3a9bf2c38f346d552
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 00:41:39 2012 +0200

    Add application.h to BUSMASTER project.

commit 382cb7ceeab90d198208bd18fa8679d3c85d411d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat May 5 00:14:15 2012 +0200

    Improve Doxygen comments.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4b8fcdfa3d8305ed68d1f60dbfa10221addd001f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 23:39:49 2012 +0200

    Use resource identifiers from resource.h in BUSMASTER.rc.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4c886234c0cd6476ecb8d83f4655c89ff9b0cd39
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 23:39:14 2012 +0200

    Proper initialize tagFormattedData_CAN.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8b9be85f59e84f60f6e7ec9a561f008faf0b92d7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 22:16:22 2012 +0200

    Explicitly link BusEmulation against RpcRT4.lib
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 40baacfb9c9ef4ebc5e0220d0e7c5fc065e4614b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 22:03:00 2012 +0200

    Cleanup in BusEmulation module.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4159734869528896c3fe5c00003a56855fe71554
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 21:29:33 2012 +0200

    Use safe functions.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit bf9bd58e7c3ae737d89cbc3b17b6964c123030f9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 21:29:13 2012 +0200

    Convert some structs to classes in order to use std::string later on.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ee90a229f0444d031f29c1d2da0d762e69e5722f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 21:28:30 2012 +0200

    Add dlldata.c to Generated Files list.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6e54820ac19bc309e7fe43a71d1ff9726f1ef550
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 21:06:19 2012 +0200

    Undef for FOR_ETIN. And create a proper About box for this version.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c79ac0a651945e514ce950bad07c0fab76eb1bf8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 20:43:17 2012 +0200

    AStyle run over complete source code.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cfd45794e77fa8c2c8f9f5b50b7929fd2a74239d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 20:37:53 2012 +0200

    Added license information to MHS_CNFG.
    
    BUSMASTER is under LGPLv3.
    So upgrade the module license from LGPLv2.1 to LGPLv3.
    We got contributor agreements signed for any external contribution.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 599d08093da06c7ceada1347531a1cedcbf70090
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 20:18:36 2012 +0200

    bison.simple should go to the tool not the source code.
    
    bison.simple is part of Bison, thus it's under GPLv2 license.
    To prevent mix up of BUSMASTER and Bison components, bison.simple
    should not reside in our source code, but in the tools folder.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d484735f04998071c3b24b1033a790065a5d11e4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 20:17:00 2012 +0200

    Split up converter and dll stuff.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e72ba3bab8f11fe9956531e217efb5bad8f3a0aa
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 20:05:48 2012 +0200

    Add bison.simple to VC proj files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 492efb88579cf02eb6f9a549c47fb8a96044ac5b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 19:46:33 2012 +0200

    Fix some VC warnings.
    
    * warning C4706: assignment within conditional expression
    * warning C4018: '>=' : signed/unsigned mismatch
    * warning C4018: '<' : signed/unsigned mismatch
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 99a48f61018da5535845e9eaae64ac93484519bc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 19:26:35 2012 +0200

    Modify resource files in order to allow edit with ResEdit.exe
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f184dd17e2ff9190e41dd9c339cbe727c8d65e09
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 19:08:20 2012 +0200

    Migrate LARGE_INTEGER to long long int. Thus get rid of .QuadPart.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7a87a64444082476f7024e6f73b338a7bfab4ca5
Merge: c813308 963a870
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 18:26:55 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit c813308feb0fb3efc8f9f094a56cc6177945da2f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 18:25:59 2012 +0200

    Bug fix in CAN_ETAS_BOA.
    
    The mechanism how psHWInterface is allocated was wrong.
    On delete[] the driver crashed.
    So make it a local variable, not dynamically allocated, just to be sure.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d79243b65a013951c9db32623c8be12713e7880c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 18:15:33 2012 +0200

    Small code improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0b3f173ee15068c3a4d84c76f5a3ff6f07c33732
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 18:14:59 2012 +0200

    Use ostringstream instead of static char buffer.
    
    ... this improves stability.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 453429bb236ec7e6d1eddb1b51e3f41523d82e87
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 17:42:49 2012 +0200

    Use std::string in GetBOAInstallationPath.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4f377048388ac989176887fe436aea8643e207ef
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 17:42:16 2012 +0200

    Make vLogAMessage use std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7c5cc6348485605255639ec7d7c4196da89be722
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 17:24:15 2012 +0200

    Fix location of include files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d1a82f9994efa81f4873136ab0bcf39934e257e7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 17:20:15 2012 +0200

    Fix typo that broke compilation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 13bea09d5f6e70de07ed8969fa7bfad61dd85a7b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 17:19:50 2012 +0200

    Drop Precompiled Headers in all modules...
    
    ... it's not supported by any other compilers except MS VC++
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 59741173f479222540ce065625211e04f88264c0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 16:51:09 2012 +0200

    Drop precompiled headers in BusEmulation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7b16e0a5b2f2be2ce51dda185a18f94c84d2a0ba
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 16:46:02 2012 +0200

    Correct locations of resource files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0d3ac3f0ef8651334141a2db7e2c3cb8629c7369
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 16:24:23 2012 +0200

    CAN_RegisterClient: make pacClientName a std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8cff58af8d7487252bcfe4d7a8cee82add027c19
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 14:18:31 2012 +0200

    Some cleanups.
    
    CanUsbDefs.h was mainly for USB_PEAK.
    The general defindes are now part of Struct_CAN.h.
    
    No real need to define STR_EMPTY, defBASE_DEC and defBASE_HEX.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 963a870e98a1e681387bd6c486185100a2d6c55d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri May 4 17:35:30 2012 +0530

    Modified logic to get signal info. Fix for issue No: 181.

commit f677c2da3beb2057cacee31c1054f81a9b9cac8f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 13:30:43 2012 +0200

    Cleanups in DIL_CommonDefs.h.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5b5fc064bb62384693a137e1d05ea0775e9a1849
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 13:20:47 2012 +0200

    Migrate sCONTROLLERDETAILS to class in order to use std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d8199b1ac29ab10bdd080eda7fab0dcd1f5e19be
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 12:34:44 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9058a7e5847d5f0fc15c1d46cd730dbd828388b8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 11:57:00 2012 +0200

    Cleanups in MHS_CNFG.
    
    * Translation of comments from German to English
    * Small code improvements
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9cee1ae60e793e942d09f8b8429ff6c0b44b4f3a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 11:41:06 2012 +0200

    Configure and run AStyle also for *.c and *.hpp files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 676ed560aa8534da37e1b9aeeb261a9e89c43d5a
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 15:09:59 2012 +0530

    updated the correct Maximum Buffer size in sprintf_s function in GUI_FormatMsgCAN.cpp (vFormatDataAndId Funcion).

commit fde3a8785ce7e01466859c39aeb558c0e60b091e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 11:37:45 2012 +0200

    Replace sprintf by safe stringstream.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 82d270703f9c9db560a239f9f2c03e548d9c39ba
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 14:01:09 2012 +0530

    Byte Index in Database editor is changed from 1 to 0.

commit 984f3bd5a2d754c85dbaaa86d6db243d94c01351
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 13:54:05 2012 +0530

    Byte Index in Database editor is changed from 1 to 0.

commit f15fe007dcfe7869f4f088898bdff16b72a2ecbb
Merge: 9c8a4b9 ea264b6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri May 4 10:06:08 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit ea264b6b58b954e459f9c56269eca77138872218
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 10:45:06 2012 +0530

    Provided functionality to delete a signal and its descriptor using Delete Key.

commit 5781d97a1dcd778529bb624f7855b324b9fd792d
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 10:43:44 2012 +0530

    Provided functionality to delete a signal and its descriptor using Delete Key.

commit f22687f241992d989d63ca78eb6ea5323febb669
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 10:39:09 2012 +0530

    Provided functionality to delete a signal and its descriptor using Delete Key.

commit 7962e068c227b32fc44a185b817c5260738cadb4
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 10:36:50 2012 +0530

    Provided functionality to delete a message using Delete Key.

commit baf44856af38451f1817c95a2e10eb307dee6800
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri May 4 10:35:18 2012 +0530

    Provided functionality to delete a message using Delete Key.

commit 9c8a4b991c2766a392b42dc031083c3e95a4528a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 23:37:34 2012 +0200

    Fix warning C4553: '==' : operator has no effect; did you intend '='?
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c20639d1eb1e9baab52ded1e5efd94af6f2c83fe
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 22:34:24 2012 +0200

    Cppcheck fix: Variable ... hides typedef with same name
    
    Variable 'sGraphSplitterData' hides typedef with same name
    Variable 'sModuleFilter' hides typedef with same name
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3e56a1cfa9f1d7d61a5d155f923c397bf4661217
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 22:26:43 2012 +0200

    Cppcheck fix: Variable 'nRefreshTime' is assigned a value that is never used
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b7b27a857f371ada0f8c0e9a7fd037f35de69157
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 22:23:11 2012 +0200

    Cppcheck fix: The scope of the variable 'len' can be reduced
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b0efe7b9ba2c4f6a967a0eba72f41d1b2f39be66
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 22:16:47 2012 +0200

    Cppcheck fix: Variable ... is assigned a value that is never used
    
    * Variable 'nSelected' is assigned a value that is never used
    * Variable 'nArrayIndex' is assigned a value that is never used
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1291ad9d111280bf2087d9ad29e8d26d79c89d7a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 22:10:13 2012 +0200

    Create "Generated Files" folder and add DMGraph.h.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c99c52efd954674aeaff314bf95c0875e4b7d77a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 22:07:16 2012 +0200

    Cppcheck fix: Typedef 'MSG_RX_CALL_BK' hides typedef with same name
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fe90096391caff960148248ac2ace41acb989d90
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:59:52 2012 +0200

    Cppcheck fix: Variable ... is assigned a value that is never used
    
    * Variable 'nTemp' is assigned a value that is never used
    * Variable 'nMicSec' is assigned a value that is never used
    * Variable 'nSec' is assigned a value that is never used
    * Variable 'nMinute' is assigned a value that is never used
    * Variable 'nHour' is assigned a value that is never used
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2acd07db123f097bf4f2ea808cb1f5a104fbf05d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:58:26 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9c65e062d8c5682e2bf9a3725cfc20103eda5b1c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:46:08 2012 +0200

    Cppcheck fix: Variable ... is assigned a value that is never used
    
    * Variable 'count' is assigned a value that is never used
    * Variable 'nSelected' is assigned a value that is never used
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1900239e92af51ab7fafc1dc08e13c5cb4593faf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:44:06 2012 +0200

    Cppcheck fix: Member variable ... is not initialized in the constructor.
    
    * Member variable 'sTXMSGINFO::m_sKeyThreadInfo' is not initialized in the constructor.
    * Member variable 'sTXMSGINFO::m_sTimerThreadInfo' is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a3bb996512e90f8c2d15cb86f0ec6cc95753636a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:33:32 2012 +0200

    Cppcheck fix: Member variable 'CWaveformTransmitter::m_nIterLimit'...
    
    ... is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6036d8dc8904da7e9cb1bf6b43cc2aa8644045b7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:31:15 2012 +0200

    Cppcheck fix: The class 'CSignalWatch_J1939' does not have a constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit dbe43a89c95e0cb6c3e355b441d49417c15b79a1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:19:15 2012 +0200

    Cppcheck fix Member variable 'CMsgBufferConfigPage::m_pnBufferSize'...
    
    ... is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 606da54ac0728c40689b0a3718e523d49cf513db
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 21:15:47 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cdf6bf1a49dab404e81835cf615ba7fc9490a051
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu May 3 20:49:05 2012 +0200

    Migrate MFC-specific TCHAR to char.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8204f8cc9b60f396b6bce47d599e543b1566a89a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 20:16:23 2012 +0200

    Migrate INTERFACE_HW to class in order to use std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2bd225d70bca8d2c1c42cc436f9c3e5cb04a796f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 20:04:12 2012 +0200

    Revert some changes in order to get ICS neoVI working again.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e85fcaead7216622f14ddb85e46fd438cb883ced
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 19:49:40 2012 +0200

    Migrate sg_acErrStr to std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit effd6dc367b87a3ba3f9eea09452dc3aeb7d591a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 19:20:15 2012 +0200

    Drop unused code. Beautify the rest.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 758605e2a6abc641d1e612748defadcaaa37a384
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 19:18:06 2012 +0200

    Migrate from TCHAR[] to std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1d79a758b4b1be14518c122cf0ebfbc52ca07be2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 19:06:57 2012 +0200

    CAN_ICS_neoVI is not using HW filters. So get rid of useless stuff.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 498239c11ada7c2de25b8d2da85068fa0a533bd7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 18:48:52 2012 +0200

    Doxygen improvements. Drop TZM... prefixes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5c9f4471f9fc2b97f857e07be1918d6165e3921d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 17:43:24 2012 +0200

    No need to translate empty strings or values...
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f774cc259c77db72df5f28cc977d9eb9d157120a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 15:24:52 2012 +0200

    Fix a new bug within status bar.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fb5a62c2a2f3e360d97bf793cfd6b858486b0e64
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 13:46:45 2012 +0200

    Cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8b6ebd7c27f1a73d7fcb62d6caec5ac3b522381d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 13:43:16 2012 +0200

    Library names are not language-specific.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f96fbd9b399d7859869c76a41ff21188699488f8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 13:42:47 2012 +0200

    Migrate VC-specifc _tcscpy to strcpy.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d8aa00640160e1c16235a13f6718abcf1e9cdf04
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 12:03:48 2012 +0200

    Migrate to generic (non-VC specific) types.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit eeae3e1c975aea10ad24e493a52e740747957247
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 00:46:43 2012 +0200

    Doxygen and data type improvements. Fix typos.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fea9065384a38a599c30a384d04f40b6a5e7b284
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 00:20:38 2012 +0200

    Migrate DILINFO to class in order to use std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fe4a9368443b1a0bfed593dead357aa0ef3707c2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 00:09:47 2012 +0200

    Fix cppcheck warnings
    
    * Unused variable: objstFWInfo
    * The scope of the variable 'nCntNtwIDs' can be reduced
    * The scope of the variable 'nOpenedDeviceCnt' can be reduced
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b5ab2759b7abd1258a34ad4e4de247556abdf2e9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 00:04:43 2012 +0200

    Fix cppcheck: Typedef 'sFilterDisplayInfo' hides typedef with same name
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c8e4115466c3aecf4ac337427a238435d48d4b83
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed May 2 00:02:48 2012 +0200

    Fix multiple small issues in CAN_Vector_XL.
    
    Cppcheck:
    * Variable 'xlStatus' is assigned a value that is never used
    * Variable 'nSize' is assigned a value that is never used
    * Variable 'xlStatus' is assigned a value that is never used
    * The scope of the variable 'xlStatus' can be reduced
    * The scope of the variable 'xlStatus' can be reduced
    * The scope of the variable 'xlChanMaskTx' can be reduced
    * The scope of the variable 'xlStatus' can be reduced
    * Uninitialized variable: xlStatus
    
    VC++:
    * signed/unsigned mismatch
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit dcfaa29643af96a86b00fdf9887b2ea72eed138f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:53:18 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b9820b41ce0ca631568e176ea6ec59d4128c0cd1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:49:27 2012 +0200

    Cppcheck fixd: Possible null pointer dereference:
    
    Possible null pointer dereference:
    pMainFrm - otherwise it is redundant to check
    if pMainFrm is null at line 588
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c666050e28060c372cb1072ff95cc390795902e0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:48:38 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 950b40b8d9df8cbddc40f44b30ff0921c5ae9e65
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:33:35 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 00a5bb81029420d0c40ad75dd77628b6238e9d63
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:29:46 2012 +0200

    AStyle run over missed files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit deab154eea9f7903d481e9d887e5df479ea1c020
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:29:13 2012 +0200

    AStyle run over DmGraph.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2c4dd50dc022455def61e475c3ec2534e1762881
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:28:51 2012 +0200

    AStyle run over Utility.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 72db3275de69af5ed268ac7b16b5ffbdb9ae9cd0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:28:40 2012 +0200

    AStyle run over TestSuiteExecutorGUI.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 814cb9a775c59fad3c113a7a5013aa4d94c22862
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:28:28 2012 +0200

    AStyle run over TestSetupEditorLib.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 70d0280889496d812f7434cd8c4fab92c871669b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:28:15 2012 +0200

    AStyle run over TestSetupEditorGUI.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d1e6ffaf6806b4e8001ad1d75867242e59da256f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:28:03 2012 +0200

    AStyle run over SignalWatch.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6b4d0eb1f1d600e2cebb8b52818877e89e122805
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:27:53 2012 +0200

    AStyle run over SignalDefiner.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 30da70dd92c5df8a94909a031feac8aca7661fb4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:27:41 2012 +0200

    AStyle run over SigGrphWnd.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 75f0020c2befd4ba604b5ae84c5888399c4a43af
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:27:28 2012 +0200

    AStyle run over Replay.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0278c7b5ba7b54a62b24853bb9d1b599779de3ca
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:27:14 2012 +0200

    AStyle run over ProjectConfiguration.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d3e4374983f2fd8d93a79e9cfb9c1e1e77fcfb24
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:27:00 2012 +0200

    AStyle run over DIL_J1939.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit af74fcfe3cb169c682dd75e7971c20b1daf1bdc1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:26:47 2012 +0200

    AStyle run over Application.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6ff87c05a0ac357748f90e22b86431e0fc51c374
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:26:24 2012 +0200

    AStyle run over NodeSimEx.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ddd5b9a00b9089e3253fa4dd601d0cf6ca381e62
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:26:07 2012 +0200

    AStyle run over FrameProcessor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d5b8e6d42d850e89f9a9251620eaa20ee1c2dc16
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:25:52 2012 +0200

    AStyle run over Filter.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c1a75178387d2f18834e3d64be228d3dea83f534
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:24:37 2012 +0200

    Doxygen improvements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 59572cd77ab3851793a3399ca76fa9fe7bd87d8d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:24:12 2012 +0200

    AStyle over PSDI_CAN
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit de01ce17e3ac1e91e367b11203cf9f8bd32d4e0d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:14:11 2012 +0200

    AStyle run over DataTypes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0958384310cb30015ccbd2c126e587dac8121121
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:13:54 2012 +0200

    AStyle run over DIL_Interface.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a4e2c7103e531b4cb242b195b12c2b30808e90a7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:13:30 2012 +0200

    AStyle run over BusEmulation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f4603c2cd51105a2c60905696efb1253a70c8551
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue May 1 23:11:48 2012 +0200

    Replace if/else statement through switch/case. AStyle.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 72bf9e6cfdaeb2c3a5dd86781fd3277cfceda2e5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 23:54:35 2012 +0200

    AStyle run over Include folder.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 77535026cdadcdde2aad8ed1f05162d7114534cd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 23:49:34 2012 +0200

    Improve Doxygen comments. Cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2dcb2ccc8756d268cbbaa9179cf3d0a4cbc1ff81
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 23:35:24 2012 +0200

    Astyle run over CommonClass
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b63e9dbd199e2ba63be607e05e903e65f3812b13
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 16:43:44 2012 +0200

    Fix cppcheck: Using sizeof for array given as function argument returns the size of pointer.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 50d75f27d7c85faefc61c29b84169abfc8aa442c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 16:40:44 2012 +0200

    Fix cppcheck: Using sizeof for array given as function argument returns the size of pointer.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 79eab73f27d96d520ea0cec2b8dd1b0746c7f540
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 15:43:32 2012 +0200

    Fix crash n J1939_DataTypes.cpp
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6077ad6bbf615309378e02ce961e1853b0b2a7be
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 15:32:35 2012 +0200

    Gray out data bytes exceeding DLC.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fdde7aa49cf849af35035bd6a4b0541a70b21f65
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 14:18:54 2012 +0200

    Adjust size of message combo box in Tx Message Window.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 60f4fe531b99e0f4a18e74ba5e45c4be774511c9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 12:23:21 2012 +0200

    Run Astyle over TxWindow module.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit bbba7ac17259400d42429da236dfe0391269b355
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 12:20:58 2012 +0200

    Doxygen improvements
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 08d6d6c95b935a85c04f5baaeceef635b3e27713
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 11:35:36 2012 +0200

    Correct line endings in resource file...
    
    ... so that ResEdit can open it.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0fdd9188537d18817a7f3311ea070da56b9a3497
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 11:18:31 2012 +0200

    Fix warning C4706: assignment within conditional expression
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit abcee28cbe52f840aa149d67049db580a7057048
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 09:54:02 2012 +0200

    Bug fix: Get rid of MAX_HW and use defNO_OF_CHANNELS instead.
    
    MAX_HW and defNO_CHANNELS (aka CHANNEL_CAN_MAX) could be set
    inconsistently leading to application crashes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cd042eb06676aa230d32444759d9bea79d5708ff
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 30 09:52:13 2012 +0200

    Use strcpy_s instead of strcpy functions.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6d12e37d524b16f71589fa9f20907df6e207e199
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 15:53:20 2012 +0200

    GETIDIL_CAN_CONTROLLER should be __cdecl instead of __stdcall.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 75c2d95c633941f18047185f1439bed8a2c4e84f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 15:52:54 2012 +0200

    Needless to declare __cdecl as this is standard anyway.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 695375275a64a560935eca2d931f70fc2659a937
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Apr 26 16:25:48 2012 +0530

    Channel Index is placed before the Data bytes in struct.h (to Solve the issue #178).

commit c2d39a3096ccbc6a83a2e936da5ee32eea849a0b
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Apr 26 16:23:09 2012 +0530

    Channel Index is placed before the Data bytes(to Solve the issue #178).

commit e7432ccd5ef0fe639cd6b84c249456176dbdcf39
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Apr 26 16:21:38 2012 +0530

    Channel Index is placed before the Data bytes (to Solve the issue #178).

commit 780421d0a67830808078eb84691613a4a9793d7a
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Apr 26 16:14:50 2012 +0530

    Channel Index is placed before the Data bytes in struct_can.h (to Solve the issue #178).

commit 138a4434f52c3cb34f8062c9a3ba7f5f602c8e1a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 12:36:07 2012 +0200

    Fix for cppcheck: Prefer prefix ++/-- operators for non-primitive types.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e332a70b36e72b2f2366cd9186eb16be1d34c4c3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 12:25:02 2012 +0200

    Fix warning C4996 in Format Converter
    
    'strcpy': This function or variable may be unsafe.
    Consider using strcpy_s instead.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 042d2cdd5fa12dc65b6c0c843d01c1983b39ae6f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 11:39:04 2012 +0200

    Fix cppcheck warnings in DBC2DBF Converter
    
    * Technically the member function 'CParameterValues::WriteNetValuesToFile' can be const.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3bcf12c715d1a23dc4744a7442cd608e245d23fd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 11:36:25 2012 +0200

    Fix Cppcheck warningsm in LogToExcelConverter
    
    * Variable 'n' is assigned a value that is never used
    * Variable 'nFieldCurPosition' is assigned a value that is never used
    * The scope of the variable 'n' can be reduced
    * The scope of the variable 'nFieldCurPosition' can be reduced
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3728e4070cd069a5908b7d8ee9c8e743437abe14
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 26 11:33:45 2012 +0200

    Fix for Cppcheck: Prefer prefix ++/-- operators for non-primitive types.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b9f71ac96bc4d4ac72d70650f53b07418e519e95
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 25 23:38:55 2012 +0200

    Fix Cppcheck warnings about C-style pointer casting
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 77356d33804518fd523a875e2fb0d96b2cd6e6dc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 25 23:08:42 2012 +0200

    Cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5b2327df8625ae1775fb3b65bc5e2b68ed152491
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 25 22:31:18 2012 +0200

    Upload script for improving source code style.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e6e606f2430190ccf572dff6eec06d177791fd6c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 25 22:29:35 2012 +0200

    Check for existance of test case.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 563482a444e040366bc882d587d512df2b8a0f33
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 22:15:04 2012 +0200

    Add PMD test results to git ignore list.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2d6e71dc8fafbfa8f4fdb829a63fbca76cb5a7bd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 22:13:49 2012 +0200

    Correct test script names.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 848f32080fc82b77acfb765b6a5352c7d4d3462e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 22:09:52 2012 +0200

    AStyle run and make SCLIENTBUFMAP a class in order to ...
    
    ... to migrate m_acClientName from TCHAR[] to std::string.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b303d2f7c939ef73cd86159a0838bdb83323faea
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 21:10:14 2012 +0200

    Remove non-existing files from vcproj files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 934c6efba4838f7201bde65f5a758eb83a51976a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 18:50:25 2012 +0200

    Directly get BUSMASTER_Interface.[ch] from Application.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a0dd60d53bba9d0511bc098166d3cf2c670823bf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 18:42:08 2012 +0200

    Remove unused redundant code/files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 30d6102457db72c5945a9eb3cd3885b0a098ec2b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 18:21:41 2012 +0200

    Integrate Include folder in VC environment.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 50b9ec39c3cd9dec2f876ce87ef9584a3577fc6e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 18:17:39 2012 +0200

    Fix typo SCONTROLER -> SCONTROLLER
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e92a140d50f1a1dd75578cc69b16fc6eb650d45f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 18:08:16 2012 +0200

    Drop unused stub functions in DIL CAN Interface.
    
    The following functions where not implemented in any driver, and
    not used by the application. So get rid of them:
    
    * GetTxMsgBuffer
    * GetBoardInfo
    * GetBusConfigInfo
    * GetVersionInfo
    * FilterFrames
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a6ce581c938536eee9a9f7fa55f62b688be3d843
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 17:33:20 2012 +0200

    Fix Cppcheck warning.
    
    * Variable 'bReturn' is assigned a value that is never used
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 04920930b615e38790ce55051d60d0e2b6dd0a9c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 17:26:51 2012 +0200

    Fix unused variable warning.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c770a0dfa9504607ae60c7f8454b419c185720cd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 17:26:38 2012 +0200

    Generalize SignalMatrix and move it to Utils
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a03137333a32fd6cede8b79990bd924744eee2c7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 17:18:11 2012 +0200

    Fix a compile error.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 92621b1fb7271ea189fdb8a761d74e0ed466883e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 17:07:58 2012 +0200

    Cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2a3dbb0b28928c1150388bc8a25925c46eda51e5
Merge: 778859f 46f0944
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 16:57:55 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 778859fd72e998e8d61263523194ace302ac2c10
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 16:51:46 2012 +0200

    Migrate to secure functions and disable Wp64 warning.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3874c64521a967ad0289f0ebfe22118cecc30920
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 24 14:29:15 2012 +0200

    Remove CRT_SECURE_NO_WARNINGS from Format Converter debug modes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 46f0944391dd38be6a0255958bc5c01853bb220f
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Apr 23 16:36:15 2012 +0530

    The Bug Related to Tx/Rx Message Count and Total Message count in Networkstatistics is solved

commit e20a5452f961b00d9c3921d2568de2935f06873b
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Apr 23 16:34:34 2012 +0530

    The Bug Related to Tx/Rx Message Count and Total Message count in Networkstatistics is solved

commit 4a49be30850f90e665453b05a95fad4041be41ff
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Apr 23 16:17:29 2012 +0530

    The Bug Related to Tx/Rx Message Count and Total Message count in Networkstatistics is solved

commit ba3aa93d86f68a155cbbce74782c43189a0b2107
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Apr 23 16:16:07 2012 +0530

    The Bug Related to Tx/Rx Message Count and Total Message count in Networkstatistics is solved

commit 7678eaaff568461c19b74eb454f73596ed387cef
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Apr 23 16:14:00 2012 +0530

    The Bug Related to Tx/Rx Message Count and Total Message count in Networkstatistics is solved.

commit 2d20e44e3a1893f00ce480cd4e9dac298e8415ea
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 22 22:59:45 2012 +0200

    Remove old logs and internal department names.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 59099af9d3945a3f62fb18d066771a07946fba18
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 22 22:52:40 2012 +0200

    Pragma once, Doxygen, Warnings, TraceWnd
    
    * Consistently use pragma once
    * Introduce Doxygen file headers
    * Remove DEBUG_NEW, AFXWIN_H
    * Remove diabled warning to show them
    * Application/TraceWnd removed
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 113dbd51095202777cbe862b8a0b3fc16cc07be8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 17:51:35 2012 +0200

    Redefine CAN_GetLastErrorString to use std::string. Pragma once.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 67eed8d1c63d0caafe9529a2666dd70b459b6bb9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 17:49:12 2012 +0200

    Disable PCH as not supported on other platforms.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 22494d232046799cb3e41a725edd60a70dca6699
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 16:14:55 2012 +0200

    Convert to secure file handling.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d8c4d30726236d80d3c6298bebacc83024572fdb
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 15:59:03 2012 +0200

    Cleanups. Use "Generated Files" in Converter vcproj's
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 86c1585db54acbdcbeb8d625ec605e5ed94e1fbd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 15:48:18 2012 +0200

    AStyle run over Format Converters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 08b544d948785b2ae8db472dfc9fd46cb3aed78b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 15:45:57 2012 +0200

    Improved Doxygen documentation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 843598e390aac3cbdbe189431d13b260040d5566
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 12:59:48 2012 +0200

    Disable precompiled headers. Remove empty resource file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5f0ce29a115257eee5ba3c4f13eff63dfc23e2f5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 12:45:01 2012 +0200

    Add license and doxygen headers.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9f486ab3041504460b816a6223da610aa92088df
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 10:55:28 2012 +0200

    Some cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0444eb7ee35e5242952185ce45b90ad6c16a0e18
Merge: d7ba2ac 1e85ca5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 10:48:06 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit d7ba2acb76f0f8fc3440ae37b56856796d72bf01
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 20 10:42:28 2012 +0200

    Start migration of strcpy to strncpy in DBF2DBC converter.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 62112809fa41eb6f44b344aeb1398a55220aaf78
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 17:59:23 2012 +0200

    Cleanup Converter DLL interfaces.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f37b6380ed6cd1b16d78b8376b574606077795dd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 17:58:58 2012 +0200

    Make SIG_VALUE a class in order to use std::string for cValue.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 67a7af5b5f42312427970ae760feaab29417aeb5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 17:51:21 2012 +0200

    Make SIG_VALUE a class in order to use std::string for cValue.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1e85ca52c9f84f917da104dc0276f9d114a3f548
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Apr 19 11:16:35 2012 +0200

    LogtoExcel converters are removed from the BUSMASTER Proj file

commit 5586691cf2378a61c39b355ef9299cf37f5d124a
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Apr 19 11:00:46 2012 +0200

    Log to Ecel Converter is moved to Format converters

commit a55451e7f101ce4717cd066135b543347d13db0d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 10:47:12 2012 +0200

    Get rid of two strncats.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ea457c47e00bb808108b54982f4118983ead1fcf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 10:46:36 2012 +0200

    Run AStyle over it, improve Doxygen, and convert if/else to switch/case.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8af75703c01f06daecfe5a8e1a38f4667179d51a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 10:37:57 2012 +0200

    Describe req and copyright tags of Doxygen.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e4cd3fa88adfa7634ea44c3347d56b2be11ec7f6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 09:24:13 2012 +0200

    Most WARNINGS/ERRORS in Converter log files are just STATUS messages...
    
    ... so rename it accordingly. The ACTION is basically the important thing.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4cbc8812522a51fe232af8f8ac0957c5dbee43b7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 09:22:36 2012 +0200

    Fix name of log file in DBC2DBF Converter.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ff0f569a954aa39659ca3ea0b157a4a409e42e68
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 19 07:44:47 2012 +0200

    Migrate CList to std::list in DBF2DBC converter.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ef6a932f99429d5ce4b02553965841c159b00180
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 19:19:27 2012 +0200

    Cleanups in DBF2DBCConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5db79d926f96c1c955d23ae08ea23e75ad5d71e7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 19:13:56 2012 +0200

    Add lexer/bison generated files to gitignore.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ae31ec0080c2c0100517db8e5427dd9c7a677122
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 19:13:38 2012 +0200

    Cleanups in DBC2DBFConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 04467e5097bca57ecc727ffaec1cf55c83a7860f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 16:35:10 2012 +0200

    Fix what Cppcheck reported.
    
    * Member variable 'CMessage::m_uiMsgID' is not initialized in the constructor.
    * Member variable 'CMessage::m_ucLength' is not initialized in the constructor.
    * Member variable 'CMessage::m_cFrameFormat' is not initialized in the constructor.
    * Member variable 'CParameters::m_MaxVal' is not initialized in the constructor.
    * Member variable 'CParameters::m_MinVal' is not initialized in the constructor.
    * Member variable 'CSignal::m_ucLength' is not initialized in the constructor.
    * Member variable 'CSignal::m_ucWhichByte' is not initialized in the constructor.
    * Member variable 'CSignal::m_ucStartBit' is not initialized in the constructor.
    * Member variable 'CSignal::m_ucType' is not initialized in the constructor.
    * Member variable 'CSignal::m_MaxValue' is not initialized in the constructor.
    * Member variable 'CSignal::m_MinValue' is not initialized in the constructor.
    * Member variable 'CSignal::m_ucDataFormat' is not initialized in the constructor.
    * Member variable 'CSignal::m_fOffset' is not initialized in the constructor.
    * Member variable 'CSignal::m_fScaleFactor' is not initialized in the constructor.
    * Member variable 'CSignal::m_uiError' is not initialized in the constructor.
    * Member variable 'CValueDescriptor::m_value' is not initialized in the constructor.
    * Possible leak in public function. The pointer 'm_pouPluginManager' is not deallocated before it is allocated.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f44e89e84a85883be41ea79ec762f56272f9b7d2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 15:47:59 2012 +0200

    Some changes to stabilize AStyle test execution.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 00e2b2e1874e6b63b63fd9ba7b9957fd606fb6bd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 15:42:25 2012 +0200

    Update AStyle options.
    
    * Document it in the Development Environment documentation
    * Provide options file
    * Use options file in test script
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1deba74f68cf193da4433d4431e219bf7f1946f8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 15:10:35 2012 +0200

    Parser files get generated. No need to have them in the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit abbb048b82f94c0dcd7af815adfd72a908772754
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 15:05:19 2012 +0200

    Run AStyle over Format Converters. Correct error/warning strings. Cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 259cd573429773e2c1f865a49f898891ffe9bbd1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 18 14:07:18 2012 +0200

    Doxygen improvements, remove std::fixed output formaters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 04ba5854c231075e57386188239ee64c84bb591c
Merge: 2af1d18 b80b018
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 13:36:37 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 2af1d1859f28643736e28b7b7bf14fc7d968d602
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 13:32:14 2012 +0200

    Add Jenkins chapter to Development Environment documenation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9dd0c2c03e8f945ca55e0745a33affc94595b83e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 13:31:40 2012 +0200

    Update topics of Development Environments documentation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e7c4d895d33ce1e219c0b481d998137ba498bd45
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 13:29:49 2012 +0200

    Cleanup old contents.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6307b93e4ab34e3a9a9bf701d189a42c7cac81f1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 13:29:12 2012 +0200

    Rename generate_report.bat's in build.bat's.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b80b018763617aba8b545d27d6233b591e611d22
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Apr 17 16:48:11 2012 +0530

    Updated to exclude channels in CANCaseXL which are not enabled by Vector.

commit 517c9b09d859360bdf7a258eee361d1939f401ef
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 08:38:29 2012 +0200

    Place the log file beside the output file, not the input file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7a5a23d75125d2f38778d91771da55e838274ea3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 08:31:29 2012 +0200

    AutoIt tests for signal conversion.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 82be9016228cb1f44e51d94edef7b97df0099ee3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 17 05:39:19 2012 +0200

    Fix some original bugs in DBC2DBF and DBF2DBC converter.
    
    - MinValue was not set correctly for signals with int types.
    - Blanks and empty lines added in accordance to original CANDb files.
    - Float types should have no trailing zeros
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 55884423f58864cb8cd987fab80137e6fd0d9f0f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 18:22:25 2012 +0200

    Further cleanups in Format Converters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ba90b4a8bb5562f7e1164dfe0a88de89e6733ee9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 17:53:37 2012 +0200

    Cleanup in AscLogConverter and LogAscConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit bbd35bbb85dcab0ceba9fff285ea5b82accedbae
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 17:02:36 2012 +0200

    Cleanup DBF2DBCConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 287309bfd6dd566b4c4cd7606957eea97e2f4807
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 16:35:45 2012 +0200

    Cleanups in AscLogConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 136f16225eefdbca8e29e4e53e14c1da7272db21
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 16:29:24 2012 +0200

    Cleanups in LogAscConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 80a1031775a4948016927a775e5934debafdb701
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 16:19:41 2012 +0200

    Cleanups and disable PCH as they are not supported by other compilers.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 06e2a17fa50efb76758abdcec17093e1983479d7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 15:36:40 2012 +0200

    Cleanup file output functions.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 56c50aacf836d0901f688f9d52c552495a08fd9f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 15:09:27 2012 +0200

    Convert char[] to std::string in DBF2DBCConverter/ValueTable.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3c908f5bd5b9b6e804acbfb6aff5ac4f3ae77c3e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 14:55:31 2012 +0200

    Convert paramName and paramType to std::string in DBF2DBCConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 836009b83f6541b982ed1edc84727262e9b68066
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 13:56:07 2012 +0200

    Migrate CString to std::string in DBF2DBCConverter/ParameterVal.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 92921ad424d489f853f6751ecd51b30961403106
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 11:56:03 2012 +0200

    Reorder file includes, clean unnecessary files...
    
    ... this includes the resource files and stdafx. They are not available
    on other platforms/compilers anyway.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 04f940cda944851e11a9760a8f22872f4b6cbf27
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 10:19:14 2012 +0200

    Replace unsecure sprintf by std::fstream redirections.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 477824f3e4bfedb84c67c6fd46ec390e2567ddb3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 10:06:06 2012 +0200

    Migrate CStdioFile to std::fstream in CAPL2CConverter/Converter.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7e052207ca73185029108ad777951326a4bcb02c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 03:24:52 2012 +0200

    Migrate CList to std::list in DBF2DBCConverter/Comment.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 59dcb4c0034f83064ed5a908e4a44bf4a4a090e5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 02:55:18 2012 +0200

    Migrate CString to std::string in CAPL2CConverter/ValueDescriptor.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 647c6f5d510f3df6b6dbcbdd5b412fc9d136b9e0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 02:52:28 2012 +0200

    Migrate from CString to std::string in CAPL2Converter/Message.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit deb6ddedbaaecc3451ae2c4b1a051c0f1227b93a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 02:51:58 2012 +0200

    Improve source code style.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9be241c767a3fd30fcd01f1c7da933a9d1ee6a41
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 02:41:04 2012 +0200

    Migrate CSignal to std::string in CAPL2CConverter/Signal.*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f45570a442c85d4971b42dc39ce80ddc31508e57
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 02:23:36 2012 +0200

    DBC2DBFConverter is now free of MFC/ATL...
    
    ...and ready to test the migration to GTK+, Qt, etc.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4281a8689d1b8365bb527c4c6112a0a466670d9e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Apr 16 02:22:26 2012 +0200

    Remove unnecessary resource file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a6326d2beb7bace5083a27a4cb524ad2b197c891
Merge: 2f6208c 78ac0fd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 16:34:04 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 2f6208c7ca5178b5e7b37cd0689b4d76ba22d932
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 16:32:10 2012 +0200

    Don't report false positives in AutoIt scripts.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8e2191491f614d53f5b47f51c19ec7444605507d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 16:31:50 2012 +0200

    Set AppCompatFlags also for FormatConverter.exe
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 320b60c856e3e09861121b1930232b9c8329a7d8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 15:56:59 2012 +0200

    Reintroduce Installer components
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e3dd52cf815d3627d14c2a8f2b2e922fe9ea8d38
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 15:55:57 2012 +0200

    Add Doxygen file header.

commit 6e9133c162a11f78d9a02016931fe56801d2273c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 14:53:54 2012 +0200

    Put AutoIt report on gitignore list.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 36002ea40d1dad2654fdb5f9b6532fec04b7d917
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 14:32:30 2012 +0200

    Add new test case for dbf2dbc converter.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7af1e9ca38e7c515db8f021c8cbfc8d4e1936cfb
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 14:28:33 2012 +0200

    Migrate CString and CStdioFile to std variants.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b9bf10bca5daddfec1106e01915e3286a5a38706
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 11:40:59 2012 +0200

    Make use of pragma once.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit efc362eb552dd70ce10316488836f4358c6c1793
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 07:37:18 2012 +0200

    Improve Doxygen comments and add missing file headers.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6073336f9766c55542724092374ede990546dbff
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 15 07:26:08 2012 +0200

    Migrate CStdioFile to fstream
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b748f3bc314b7868b6e55372948abd785ac55cec
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 22:42:52 2012 +0200

    Migrate CString to std::string
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 44453704888b6005bbbb0b5724286cf0256bf90f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 22:09:45 2012 +0200

    Improve Doxygen comments.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 22724577037d46196ef32935bf01363ddb9fb5f9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:32:12 2012 +0200

    Delete unused/old files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 77a2965badaf729d70627ded428e404f69692837
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:26:31 2012 +0200

    Fix Cppcheck style warning
    
    Member variable 'CComment::m_msgID' is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e60ec36d21b36366df2c3831cd157aedf8524b32
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:24:14 2012 +0200

    Fix Cppcheck warning.
    
    Unused variable: chTemp
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2a6abe490a3212c4b3cf8234ac30f5e5933d35a4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:23:22 2012 +0200

    Comments improved.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 527c43450c394bcf65b95051f219f3c58135fea3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:19:36 2012 +0200

    Fix Cppcheck warnings.
    
    Member variable 'CParameters::m_MaxVal' is not initialized in the constructor.
    Member variable 'CParameters::m_MinVal' is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3a4f8f642f7115e5512bb89ee8e62740c838e7b3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:14:10 2012 +0200

    Fix Cppcheck style warnings
    
    Member variable 'CFormatConverterWnd::m_pouPluginManager' is not initialized in the constructor.
    Member variable 'CFormatConverterWnd::m_pouPluginManager' is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7cc07c503b62363b33ec9469b1616f3945f1cac5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 21:11:59 2012 +0200

    Fix Cppcheck style warnings.
    
    Member variable 'CParameterValues::m_cFrameFormat' is not initialized in the constructor.
    Member variable 'CValueDescriptor::m_value' is not initialized in the constructor.
    Dangerous usage of strncat - 3rd parameter is the maximum number of characters to append.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 12d833f010151db6a3f7ed00dd160bd6f82ab1f0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 19:07:51 2012 +0200

    Fix typos.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 18068834110e1791c72637f40d5f9d8882317d32
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 19:06:21 2012 +0200

    Fix Cppcheck style warning
    
    Member variable 'CDefConverterPage::m_pouPluginManager' is not initialized in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 198b8b9803ba0930d890fa9fe40261f8022f6383
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 19:04:17 2012 +0200

    Fix Cppcheck style warning
    
    Dangerous usage of strncat - 3rd parameter is the maximum number
    of characters to append.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9d694fccef7676dfd7367d3d1dc5810836e82711
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 19:01:06 2012 +0200

    Fix Cppcheck style warning.
    
    The scope of the variable 'n' can be reduced
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ef946d3eabe7a305ad992a0def58db8571bcd7d4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:58:52 2012 +0200

    Fix Cppcheck style warnings.
    
    Technically the member function 'CSignal::GetErrorString' can be const.
    Technically the member function 'CSignal::GetErrorAction' can be const.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4e484e1fcf16c2975362a06878745f9ee8a19c3b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:55:35 2012 +0200

    Fix Cppcheck style warning.
    
    Technically the member function 'CConverter::GetResultString' can be const.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 900c01a9f5cd252fb6f26e4e7616f2e0cdd100e1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:45:33 2012 +0200

    Fix Cppcheck style warning.
    
    Member variable 'CParameterValues::m_cFrameFormat' is not initialized
    in the constructor.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 85a51710093daf6fb5a5171f49ca685f44f518ae
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:45:04 2012 +0200

    Correct file header and doxygen comments.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 58a81775ac100cc1b8b93ad165a1f61e9f305f90
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:43:31 2012 +0200

    Correct typo.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 08971b2eec183aae8d92e50e2a31880dafe6d721
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:09:41 2012 +0200

    Rename CAPL2CConvereter to CAPL2CConverter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8da835250e910fed93c45a549f066999d3aae51a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 18:00:46 2012 +0200

    Delete unnecessary resource file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ae9d3a7a9c589bf67dc6798e2bdf620141091cdc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Apr 14 17:57:45 2012 +0200

    Add missing file headers.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 78da4f875f25dd8ac4d677319affe7f4c60e7c3b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 16:15:43 2012 +0200

    Introduce AStyle -c in Dev.Env.Doc. and Tests
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 070811e62e021099d45d945a2b261edda3309588
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 16:14:11 2012 +0200

    Another AStyle run with option -c.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 63dd21067681a13bcfc36e22598fd8dd854e9d4c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 15:59:32 2012 +0200

    Astyle run over DBC2DBF Converter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a4ec99eeb29ab16bc335c3e28b30dfb103849320
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 15:30:10 2012 +0200

    Migrate CString to std::string
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 78ac0fdd9ec8a5c9137583d89603d3115ad403ef
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Apr 13 13:55:42 2012 +0200

    Help files for logger updated

commit d28f8f1836ac0bdbcc079d0a5ccce8bb4a05a1a0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 13:48:46 2012 +0200

    Replace VC-specific strcpy_s with standardized stdncpy.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8985093fbac7b7dc66509d529e533a13bd66c97e
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:45:43 2012 +0530

    Added Readme.txt to distribute along with BUSMASTER.

commit 9f1d3a1864d34621acfd9354307d98abe992c022
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:40:47 2012 +0530

    Added Attribution to the third party open source tools & codes used.

commit d2313eeea7613851612769f8c84a6a8d5412702b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 13:02:25 2012 +0200

    File header added.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cd245f1543ab669f8d798d1c72039ea15c185351
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Apr 13 13:02:06 2012 +0200

    Use pragma once instead of include guards.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c4263a2a4d88b34eeabf1813aecccc08d504f3c9
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Apr 13 16:29:19 2012 +0530

    Introduced changes necessary for issue# 83.

commit f1213e8f10a55028252a4b0419f5c498b14097bb
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:24:46 2012 +0530

    Copyright information is removed for CPOL Licenced files.

commit a604fd6ff4d6d0af1bfc387ce4a27753ed66dc42
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:24:22 2012 +0530

    Copyright information is removed for CPOL Licenced files.

commit 479f208837fce2f8e586d6ac89ae86f5f49051a0
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:24:01 2012 +0530

    Copyright information is removed for CPOL Licenced files.

commit 889c6a22c2502e1373663fe1814aebd1b4c18a02
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:23:41 2012 +0530

    Copyright information is removed for CPOL Licenced files.

commit a9ab33fc39052557622ea40acec8a312ff70e6e9
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Apr 13 16:23:27 2012 +0530

    Copyright information is removed for CPOL Licenced files.

commit 28549020140b1725924ade75f7fb62ef2e5d3a8b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Apr 12 18:01:15 2012 +0200

    Changes for Rel 1.6.2

commit 3e75d4741e69127ef86449dfdb22b329ddb39f0d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Apr 12 14:59:35 2012 +0530

    Removal of action code 'INACTION' from EnableLogging(..) function.

commit a75392be8dafe0eeaf207ca087a76d0b9bdd226e
Merge: 994988c 18688ac
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 12 09:57:28 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 994988c689f30e5ba0b04446e9227011569f197c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 12 09:56:26 2012 +0200

    Give AutoIt test scripts for Format Converter proper name.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 845981175b450a35114ffe1f199999124ebe1752
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 12 09:25:16 2012 +0200

    Give AutoIt test scripts for Installer proper name.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7519bd23a9017bccda98950892735d81cd7a1583
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 12 09:22:04 2012 +0200

    Put AutoIt output into own directory.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 18688ac0aed28785495ba23eb070991fa97d766c
Merge: f3631c5 d28a078
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Apr 12 09:17:02 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit f3631c5d481d610255fced75b06d7ddb8a1669d2
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Apr 12 09:14:32 2012 +0200

    Updated with timer reset at connect time

commit d28a078fac2b02b0a190f8e8bc0ccc71aba582ab
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 12 09:04:07 2012 +0200

    Link AutoIt test results.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d9b5fd71632bada065887a2c165e552f20043e22
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 11 17:00:15 2012 +0200

    Let AutoIt generate HTML reports.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f7e740a9298b74b6d02e068ba7a41efbeeed7745
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Apr 11 15:57:58 2012 +0200

    Reverted Changes by Dr. Tobias Lorenz

commit 8f0af3ff303e59c4f2e523862e10eea029948391
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Apr 11 15:50:03 2012 +0200

    Changes for release 1.6.2

commit 6605cc9098770a0d96f2eb4df4c9518098ff4c91
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 11 14:33:59 2012 +0200

    Upload test case for DBC2DBF conversion.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 33dfabf959c22a8268e68d744eeb5ad74c63489c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 11 08:59:58 2012 +0200

    More AutoIt tests.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cbdffcb864cfb3c9bb912e62f1c50f611e4bb145
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 10 16:11:20 2012 +0200

    Move flex to Tools/flex and provide license/download information.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a09d144ac7bb34688bb5edea357bc37f14b981c6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 10 16:11:06 2012 +0200

    Move bison to Tools/bison and provide license/download information.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d5e198078c46dae362142084f2ec2bd1c012218f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 10 16:10:28 2012 +0200

    Drop wget and unzip. They are not needed any more.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7ddce2cdbb15ddf9419d854f9843394f9e1df961
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 5 16:38:12 2012 +0200

    Missing correction due to Cppcheck results.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 251e7a8f5fc7c8eac2d11709ef5fbc96e5bcc004
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 5 16:32:17 2012 +0200

    Corrections due to Cppcheck result and typo fixed.
    
    ..\..\Sources\Format Converter\CAPL2CConvereter\Functions.hpp
    48	variableScope	style	The scope of the variable 'm' can be reduced
    49	variableScope	style	The scope of the variable 'n' can be reduced
    955	unreadVariable	style	Variable 'end' is assigned a value that is never used
    1140	variableScope	style	The scope of the variable 'n' can be reduced
    1221	charArrayIndex	style	Using char type as array index
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7387359dbc219e851041ecb6ead62cf9b9d2618d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 5 16:30:29 2012 +0200

    Correction due to Cppcheck result.
    
    Member variable 'CSignal::m_uiError' is not assigned a value in 'CSignal::operator='
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f657f7519badd98bfe06cba94cfb13285895d657
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 5 16:29:52 2012 +0200

    Doxygen improvements/corrections.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e1dcddaff8b4ffd350d0fae509799c9e80779cd1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Apr 5 15:48:30 2012 +0200

    Upload of test case for installer.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2279ecb20b21883e995a2f1ab97f6319f8f7b8fd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 4 12:08:31 2012 +0200

    Add Sources/DmGraph/DebugU to gitignore.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5e49c8a001b3912c2e2dbc231a01d0aea25a1871
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 4 12:06:52 2012 +0200

    Set MHS_CNFG language to english.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 32ed02cc2984a146105dcebef3c68c9450119f59
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 4 12:05:00 2012 +0200

    Add include/library path also to J1939.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 30829bbc5c1f1cc3dd6aef5c1e6968985a570adf
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 4 12:04:09 2012 +0200

    Remove Debug compilation results from repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c7d26fce0f5586974eaf6adb7f1c70dbd5bde0d8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Apr 4 12:01:34 2012 +0200

    Add WinDDK to include/library path of Debug Release.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e9ec09ad7553a75c1d62f0ff6e16508b52e8c865
Merge: 967863b c3129c1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 3 16:14:15 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 967863bb50284cfe3111ac5b0d56de8d7765204c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Apr 3 16:12:58 2012 +0200

    Add include/library path to Format Converter vcproj's.
    
    - including Release/Debug modes
    - including Compiler/Linker/Resource Compiler
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c3129c1e4f483ecee6ec361e82f3b423f0b36d58
Author: RBEI-Arunkumar <k_arunkumar_1217@yahoo.com>
Date:   Mon Apr 2 14:14:55 2012 +0200

    Changes for release 1.6.1

commit b4b0ba4ad8660c99434be101a184f87b41743a99
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Apr 1 00:26:42 2012 +0200

    Fix PMD script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 989ea62a8102a0306150c39d88ee849d8c851b94
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 31 22:09:22 2012 +0200

    Index.html for Tests reports.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1d6d0489ff659f8fb5a2ea71a74b9e56a1a7b6fb
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 31 22:09:06 2012 +0200

    Get PMD tool to work.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 349b363a5b1dab8a9d6633ef1142627ae7649bb3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 31 22:08:32 2012 +0200

    Remove ^L characters to fix tool problems.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3fd7c3d2f11ae933a675d4c4087a939d84b1e973
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 31 18:47:23 2012 +0200

    Let Cppcheck generate HTML reports. Suppress certain files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2fa909899b1726266bb24b03be3d64e995e0674f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 31 18:45:39 2012 +0200

    Exclude certain directories for CCCC run.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cdbee72b6cf6b74a49b194496f93e4b633abeef6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 31 18:44:00 2012 +0200

    Fix some character where the tests reported encoding problems.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0d8d176c563e7597fbba9a060b945a78e266608d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 30 13:34:47 2012 +0200

    Revert strncpy, strncat, ...
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 757de7ed6272460b6aa6faa614513b113794161b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 30 13:23:35 2012 +0200

    Explicit class mentioning can break compilation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5ed810968ad8c8eac0cfa0efdea1d301fc04a427
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 30 13:22:24 2012 +0200

    Revert to full installation only.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 55b9016d7ae5d58f6adfc1d52fde106754f4a4dc
Merge: 8234f08 d8ee419
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 22:26:38 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 8234f08dad4a69fcb53157b81e727297b8118a33
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 22:11:29 2012 +0200

    Improve Doxygen comments.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 1cdfd19737da149abf59d5c072449abaece955e7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 22:06:34 2012 +0200

    Correct multi-line strings.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d8ee419132f450aa911b8ea2564503583a2096ca
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 20:51:42 2012 +0300

    Set PMD output encoding to UTF-8.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6baf8fdbbf0eb80efcbd9d27aaf4f2d5c9ac0361
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 12:55:32 2012 +0200

    Satisfy Jenkings, by putting "exit 0" at the end of all batch scripts.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7a982d43bca0189b3e50d66b2cccc8eef748319b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 10:06:07 2012 +0200

    Ant should be "call"ed out of batch scripts.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 792b54d74e75d15e6465fa58f717aa873b775dd7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 29 05:55:48 2012 +0200

    Give HTML Help a second change to build the CHM file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit aa51532195b1fd6e4c9e77c74a17d23ea5163ef3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 21:40:15 2012 +0200

    Remove unintentional pause command at end of script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3c04633e92a8d22afa0d97d2ccfcc0d6f42b6770
Merge: 1320eb9 b9191d4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 21:39:43 2012 +0200

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 1320eb9ecf808c13adbc363a52ef08051c211eb7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 21:37:03 2012 +0200

    Check for all required tools before executing the actual test scripts.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 253f677305108284c4f840df3f71495a39c23758
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 21:29:29 2012 +0200

    Help build script should check for HTML Help Workshop.
    
    DITA-OT automatically uses the tool to generate the CHM file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b9191d42dabf8c7d797247e78223db824fa2f120
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 20:59:15 2012 +0200

    Help build script should check for HTML Help Workshop.
    
    DITA-OT automatically uses the tool to generate the CHM file.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 991e9c1841e54ea59377fe93b35a1ceb54886598
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 20:34:43 2012 +0200

    Added some output during test execution.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit eef4453f0820b128d3bde467e503035cc67beb26
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 20:11:35 2012 +0200

    Update gitignore to cover test results.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5aff268dbd1d64049389912f38358ab77dac488e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 20:11:15 2012 +0200

    Upload AStyle report generation script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2b465b276e5c805e81219ed6989e5bfbd2e17358
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 19:40:21 2012 +0200

    Upload Cppcheck test script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit fccbdeef528fe6acb1279bd53da5314482f420bc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 19:36:02 2012 +0200

    Upload script to execute CCCC test.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cee063a80b46d554dac4a960551081beb454515f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 18:45:07 2012 +0200

    Upload script to run PMD test.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0d3ed43e1948483c0767aef8da0f0c96cf7bb2d7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 13:22:56 2012 +0200

    Introduce components in NSIS installer script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a791ee77c5b7775d48f59520d35e9d5dd1ae2a3d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 28 12:49:35 2012 +0200

    Improvements to Development Environment Spec, new chapter PMD
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 175073a74788223049157bc0de5c8105d5af2986
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 21:52:34 2012 +0200

    Added more requirement tags to the source codes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c5c5e0c5c5b0e362ef46d77c03a673842bba85a5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 10:27:12 2012 +0200

    Upload of further requirement tags in Source Codes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 56a790606200b80ad68f43c0d4d729d7d932c50c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 08:20:11 2012 +0200

    Mark OnSignalDetails as todo. See issue #164.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d6c685405b33f39fd7e1a41b87a3df9350da640f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 07:53:48 2012 +0200

    Put links to Doxygen req. pages in index.html
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f0857b7484e1eb11a4e6f5bd1924a6e4300ac14c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 07:42:05 2012 +0200

    report.html is an output and not intended to be in the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ef3d38691bf470c24437700fbcbad1b72ceb9e9a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 07:32:17 2012 +0200

    Doxyified DIL_J1939.cpp including all req. tags RSI_26_*
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 48cd50a2fdba4ec3d194a4333fc821e8cfd1447b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 06:26:07 2012 +0200

    Upload Requirements Traceability Matrix generator
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit da51caef0b9740f68d969fa155708ce02be17101
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 27 06:22:01 2012 +0200

    Enhance requirement tags in order for coverage tool to find them.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 17d82d88e4b09f86ad995d8770fc9cb20b1a96ea
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 26 17:09:23 2012 +0200

    Restructure Req. Spec. images and add J1939 images and chapters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0af7c9c9fe7919c94c0bc5f9f0d23ce33505b2b1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 26 14:22:25 2012 +0200

    Upload of J1939 Basic Software Test Spec.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f186066062f6baf362b1df10215f1fc4c62ced79
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 26 13:24:10 2012 +0200

    Set MHS resources files from German to English.
    
    This is related to issue #161.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b5360c0018ffc51ed85a9a30f08d5aa498268c0c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 26 13:09:45 2012 +0200

    Upload of J1939 basic interface requirements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cef753a1391167df0b4e34978267da9b21024a35
Author: unknown <tlo2si@.ecn.etasgroup.com>
Date:   Mon Mar 26 10:42:32 2012 +0200

    Translate MHS config dialog from German to English.
    
    This is related to issue #161.
    
    Signed-off-by: unknown <tlo2si@.ecn.etasgroup.com>

commit 99b985b7b23ceca5c5f90c12aeaeaaea3e8edbb9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 25 16:00:19 2012 +0200

    Correct a Requirement tag in DIL_CAN.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c1da3b09b2b3b5d838da57f01b3a9b2ccfdbf989
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 25 16:00:00 2012 +0200

    Put DIL_J1939 back in Document overview.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit efe647de0c5b0b90d9343c64cb9243e4cd2acf1e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 25 15:59:44 2012 +0200

    Put CHM in Documentation overview.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f00ae571b2f4a0cc9b4532dacf582a65c73ca659
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 25 15:58:58 2012 +0200

    Separate requirement tags in order for coverage tool to find them.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 6f1b9097cf52ecd5e963cc97b867cc69e0c766f5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 23 13:03:33 2012 +0100

    Option 'Wp64' has been deprecated.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4ead1132ad91d3bc7711bee85a9761a4f4e060df
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 23 12:22:05 2012 +0100

    Use strncpy instead of strcpy.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cc96ae992675f974585158f0697745ac481e26c0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 23 12:01:30 2012 +0100

    Change from strcpy to strncpy.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 007e02e018f089cedac3c1797ad2f6e143ec2643
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 23 00:22:50 2012 +0100

    Don't generate out files. Directly show warnings (better for Jenkins).
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 97723a4a70c4115c0ae1873f65b8fa1c504a58cc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 23 00:18:01 2012 +0100

    Use secure versions of strcpy and strcat.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4a58935d208b2298f1636114ca99bacaa3aaae30
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 18:13:10 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit 95ec1e6b6719c42138ebaf782eed72376b3e3c19
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 18:10:52 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit fd03cda226929c54356782a1818c6b66c2d929f7
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 18:08:46 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit ba6a6a60b7dadfd06302fff5f6257466cbbcf471
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 18:06:37 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit 0cb6798bfc251cb2137387b1bfad13066d6f67aa
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 18:02:51 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit 17888febff203403360c6c5bd53e35673faf9109
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:59:11 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit b6095945e17ec1dca0c253d08d3110b09f66c9a4
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:54:52 2012 +0530

    Fixed issue 149- hardware selection diaog issue.

commit a6d87fc3fc8915a4057d45899af42930c00dcc32
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:52:17 2012 +0530

    Fixed issue 149- hardware selection diaog issue

commit ad244f8e6d766df8ed4ff35ce99bee2c9ae3d99c
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:45:06 2012 +0530

    Fixed issue 149- hardware selection diaog issue

commit b79a2bb2a19169848d108f588c617d788542d4cd
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:19:56 2012 +0530

    removed unwanted message

commit 0172d0d7132a0c123d8d83b272c1607ff2ffc0f7
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:18:38 2012 +0530

    removed unwanted message

commit 07ffb3dd8110dd7e28b9a1923b09bb615f0c5f74
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 17:15:26 2012 +0530

    updated message for kvaser drivers.

commit e8536c41535c4e771db8796fe18da46f93acb3fb
Author: Vinod Kumar <fixed-term.vinod.kumar@in.bosch.com>
Date:   Thu Mar 22 15:09:27 2012 +0530

    changes depndencies for J1939

commit 5b04ea840ff3661a713d5e11934fbea44cf086f5
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 21 17:54:08 2012 +0100

    Upload of MHS configuration DLL. Also to fix #159.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 374b3a51fbd429038b325bd12c060fd3c44002a7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 21 16:13:41 2012 +0100

    Cleanups of NSIS script.
    
    * BrandingText and UninstallText are not necessary
    * Section for Pages and InstTypes
    * Presentation of License Text
    * Some tabs/space/blanks adjusted
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 734ad5963ec41e7c1caa67f9ee51dfdd0c99770b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 21 15:29:13 2012 +0100

    Fix for issue #159.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3cba702a6ef2951d8b3438457904458aabc598ff
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 22:27:13 2012 +0100

    MHS_CNFG does not generate mhsbmcfg.lib, but does clean it. So disable build.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8799be66dec69d869c6b7214e14d4769a1ebbb54
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 22:25:39 2012 +0100

    Upload bison to Tools directory.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3830d5d22531e56bc7022143f6e3f93ed15d7e47
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 16:40:42 2012 +0100

    Put WinDDK INC and LIB PATH into BUSMASTER vcproj files
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ad119b91e1395b6c9f41ae856076830a0f06a1f2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 15:55:23 2012 +0100

    Put WinDDK INC and LIB PATH into Format Converter vcproj files
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5ce9ae1522fbc76fdf599782feafad0222b3f053
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 15:36:57 2012 +0100

    Visual C++ always puts &#x0D;&#x0A; at the end of vcproj CommandLines...
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 216c35c17e70c17c7610aef94b4031e6c4d0b471
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 12:20:02 2012 +0100

    Upload exemplary VS C++ 2008 Express configuration incl. WinDDK
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit acd90b40ccaf752a87143f4fe637244f39c2f9f0
Merge: 5d0bc8a 5c0adf0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 12:16:39 2012 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 5d0bc8a9aeaf5879649e9caa43c4e233b3f1f023
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 12:15:28 2012 +0100

    Move flex & bison to Tools folder. Put exit 0 at end of all CommandLines.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5c0adf06bd1ee76318c2756b6f859f160cf59ecb
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Mar 20 16:45:06 2012 +0530

    Updated CAN_PerformClosureOperations() function with a call to CAN_StopHardware(). Issue#151

commit 38e5235d0910fbbceaa412f6224dfd703a78b5b3
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 20 11:42:26 2012 +0100

    Put "exit 0" at end of VCPostBuildEventTool
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ca42a87036f562315bb88805c47b27fe215500e6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 19 16:12:02 2012 +0100

    Enhance WinDDK patch scripts with %ProgramFiles%.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b8c91c315165101999c38d5512f2d0adbd167e07
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 19 03:27:00 2012 +0100

    Add HTML Help compiler to help file generation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8c893a6b46c50297f4b4a3ddeadd21afcfd8a8c2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 19 02:17:56 2012 +0100

    Correct file name in NSIS script: Changelog.log -> Changelog.txt
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4eb40adb149369917558069235946eddfc1cf27d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 19 01:54:20 2012 +0100

    Enhance Documents/index.html with PDF links in table
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 809d9c553ed99d944949faa834f3aff5dca45932
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Mar 19 01:20:34 2012 +0100

    Auto generate Changelog.txt as part of NSIS.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d232f6b415d35e9ff00380cc57ba9741e28e5409
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 18 23:38:07 2012 +0100

    DITA-1.5.4 requires different Logo path.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 78357b4d590a5888d91a8ac22553fb9b9fce7bd7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 18 19:32:25 2012 +0100

    Update Doxyfiles of Source Code Documentation
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7f152e3217e3c7ebc7404e429bdbe8b8311942c8
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sun Mar 18 17:22:18 2012 +0100

    Upload of build script for NSIS step
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 19bc6d5257e2586f711bb16ab6f4165967eb8f12
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 17 16:39:26 2012 +0100

    Automatically detect any installed JDK and DITA versions.
    
    Rename *_DIR to *_HOME, this is standard for JAVA_HOME and DITA_HOME
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3dbc5f5c8d3d25ea892279784e8d0d3e9a9ae458
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Mar 17 15:28:35 2012 +0100

    Use %ProgramFiles% and %SystemRoot% to get rid of fixed path.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 303b0369cc0bc769c5af8faa12e131e2a502efcd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 16 17:47:51 2012 +0100

    Improvements of git chapter in Development Environment documentation
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 8142846f5c6a27b2ef26f1a2316a3a07756f76c8
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Mar 16 20:24:03 2012 +0530

    Restored the compatibility flag entries for Windows 7 machines.

commit b75ff0e01fb7762d9d025fc69cad2ea35220abae
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Mar 16 20:20:15 2012 +0530

    Increased the graph refresh rate from 1msec to 50msec and introduced delay of 100msec after clearing graph points.

commit 1afe3fdc9d009803908621ed84b10664e4bfe455
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Mar 16 20:14:12 2012 +0530

    Addition of code checks to avoid exceptions.

commit 917435fe76c96e112e7c189a0ea964e0bb59979b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Mar 15 10:35:35 2012 +0530

    Updated pre-build events section.

commit 114b8b5701a27afbc617dfe87eca0bfda33c6342
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Mar 14 17:23:18 2012 +0530

    Updated FOR loop for getting library path.

commit bf9db7ca5c9721603ce30b82a2d286b5befd7004
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Mar 14 15:04:56 2012 +0530

    Updated to support both windows XP and Windows 7.

commit 68f2c68256dc8da73a96b3807eca3aee3680e1d9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 9 11:13:34 2012 +0100

    Upload of J1939 images.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit d181f50290044a35be7dabf42848ebc794361730
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 8 19:36:35 2012 +0100

    Updated on J1939 documentation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e70982a2adc1df15e44c89a405f9e5933502b7f4
Merge: d77311e 0678b39
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 8 19:17:56 2012 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit d77311e0bc9916a11cf6ae4f7cdac8dcabd95c02
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 8 19:16:55 2012 +0100

    Update of the rest bus simulation chapters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0678b39a2467e64a21229bdca37021c4f509323d
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Mar 8 15:44:40 2012 +0530

    (GetKvaserLib.bat)First 7 characters has to be removed from the path.This was done by adding %dir:~7.

commit 5b8219f5820df70d733e9cd7dc8bf94d2cd0f14d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 18:26:00 2012 +0100

    Reintroduce Signal Graph parts in Requirement Specification.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 831716b6742f6528148a4b66af59224215591d25
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 17:53:13 2012 +0100

    Upload of ETASneo40.dll
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2930d4d4856f6aaf8b3f4814aa67e3926a4e9f2a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 17:35:42 2012 +0100

    Updated Kvaser driver.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e2e4e1149e4e1b53472b8299a89b0630ac0566e2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 17:35:30 2012 +0100

    Further cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit df5b24e9a58065ba97d58187bea6ed436b5fa6bc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 17:33:17 2012 +0100

    J1939 cleanups.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 9aed19191e258c1e3a5ffc63ad762dbf9d41bca0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 17:28:18 2012 +0100

    Included MHS-Elektronik driver in distribution.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2e0df9c27cdf0f2af8e320a5601a0e455b75857a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Mar 7 16:04:17 2012 +0100

    Upload of contribution from MHS-Elektronik.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 17fc3e92cc89d36ff0b65cc98af81352d8f991af
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 6 21:24:25 2012 +0100

    Cleanups of Format Converters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4c5bf5b0ed5913ab08f9ce0efd8cf55747a5999c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 6 21:09:50 2012 +0100

    Cleanups in gitignore and BuildLog.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a2cf95e990ad656600656dc275dae89eb399f32c
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Mar 6 21:01:25 2012 +0100

    Upload of FrameProcessor sources for J1939 Format Msg.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 667e05e95a5171c1531aa1a18c102eb9a997e90f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Mar 2 12:11:21 2012 +0100

    Upload of BUSMASTER v1.6.0 files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c8fd92a0b83f379310cabb1ee0676e6c67f47241
Merge: 54817ad d3ea4ee
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 1 20:24:25 2012 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit d3ea4ee86c37795cb02d4da2077f362a76163c28
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Mar 1 19:53:49 2012 +0530

    new line is added in ***END DATE AND TIME ***

commit 54817ad5ba185389be0872ffa58fe7a54a3caf54
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Mar 1 08:34:37 2012 +0100

    Mention Windows 7 support in requirements spec and help files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 35353e32e5e11b9f5e7cd8a7784cbfb5047f1b21
Merge: defbfe7 08b61aa
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Feb 27 11:58:33 2012 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit defbfe71299f60c1e7f4bf79e1b6e2bfb47fb5e6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Feb 27 11:57:37 2012 +0100

    Renamed chapter "External Tools" to "Format Converters".
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 08b61aa0a9cc8146ce0c5d17c28c32ab90e4f2ca
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Feb 27 10:59:36 2012 +0530

    ***HEX***/***DEC*** Header is written in line.

commit c1bc0aae5c254f1a113f9d502ba69fe567aadfc0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Feb 15 14:47:33 2012 +0100

    Upload of toolbar resource files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e1faab6de4f528e022a85cfffcd4216e6c1cce1e
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Wed Feb 15 12:44:30 2012 +0530

    Setting Graph display properties in OnInitDialog().

commit f1b4508bfcd9cbd8590b91365beec3897e988214
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Feb 14 20:01:58 2012 +0530

    sei.lpParameters, Parameter initialising is missing.

commit b38fa9ecef5b5e667740749655006405b0795be6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Feb 14 15:18:45 2012 +0100

    Upload of v1.5.0 source codes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e7a9b458035b8242be89f4c3de2dcb74451abbae
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Jan 30 13:07:03 2012 +0530

    unsupported signals are pushed to the unsupported message list

commit 652431fd253690575aca4bcf53d6db702547ad61
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Jan 20 11:57:32 2012 +0530

    Updated pre-build and pre-link events section to copy canlib32.lib file to BIN\Libs folder

commit d705490b4596445b75e4f79555c16ca4fd614f97
Author: Venkanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Jan 9 21:21:35 2012 +0530

    GetKvaserLib is added

commit 9b8847ceb06f59d9a732d5d2061ec75d9af931c6
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Jan 5 21:23:44 2012 +0530

    Updated [out]*msg parameter while calling CanRead API in Message Read thread.

commit 4ead16959feb2b10ee6e1eecbb90ddd763a011f1
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Dec 30 13:10:24 2011 +0530

    Introduced script in pre-build event to copy the canlib32.lib file from Kvaser installed library to BUSMASTER BIN\Libs folder.

commit 41b6b2df6c7e25db1978e668fa3502ecc2117581
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 18:46:08 2011 +0530

    Ok, Cancel Buttons are removed and Close button is introduced.

commit 3181af9d349782564deb904e0a1d40ebd1c8aa30
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 18:40:33 2011 +0530

    Added Copyright info.

commit 0ed84db6f0c036ca4aa44fb4f51c52c219b1aa9b
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 18:39:29 2011 +0530

    Added CopyRight Info

commit b815d72bca4d62f4901f81d84eea3afa72e157cb
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 18:38:01 2011 +0530

    Added Copyright Info

commit 06a5c2e8f98e6a6dbc824a35d72eff476c7833f4
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 18:35:31 2011 +0530

    Added File header and copyright info

commit 22485e0591a1b7890b758491f3ffd81c9e23fae3
Author: Venkanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 16:50:25 2011 +0530

    Help information is updated.Help on Format converters is introduced.

commit bd35ef75d72d3f402117343069e814e712cd36dc
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 20 15:51:39 2011 +0530

    Removed the unnecessary character in Copyright information of About dialog box.

commit 4910a5ee989db564204e318089dc1eea5042a8aa
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 20 15:29:22 2011 +0530

    Updated to incorporate Version 1.4.0 changes.

commit efc3b6ab1f94b782c773d61d97c3edb3ae0ec97d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 20 15:09:50 2011 +0530

    Updated version information to 1.4.0.

commit 8d890618333ba2c48535f829c074379475d7b178
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 20 15:08:47 2011 +0530

    Updated version information to 1.4.0.

commit e9ba9aad72002f1d3f69cebb6a52d94064cfef66
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 20 15:07:15 2011 +0530

    Updated version information to 1.4.0.

commit a9ece58506ff858f2e0efed2fbf186d43e795e52
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Dec 20 15:00:13 2011 +0530

    Updated the version information to 1.4.0.

commit 75c0e37dea656fd2ecaf5879c5a2f9360d00f0cc
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 14:05:48 2011 +0530

    Validation of input file is added.

commit 501cb00100d4aecae55661b6cb966955fac1d02c
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 14:04:05 2011 +0530

    Validation of input file is added.

commit 702b360d3a5d555062cbb66599536643b7523afd
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 11:25:53 2011 +0530

    Added the required definitions in order to remove the reference of ConfigDialogsDIL/API_dialog.h.

commit 695eea5aa3a442fc22ad1f70c3e3cf22133c9894
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Dec 20 11:17:35 2011 +0530

    Referance to ConfigDialogsDIL/API_dialog.h is removed, since it is not required any more.

commit b49c42f63b77b6217e05d5e77d782f4b57c0f711
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 22:02:23 2011 +0530

    The project is no longer useful,Since the hardware selction dialogs are moved to their respective DILs

commit 3ea00b6334886cb5461b0a1d0f989e717b7d8ddf
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 21:59:08 2011 +0530

    The External tools are moved to Format converters Folder

commit b44662123864cd5b16bd4049cf290572705d9ddc
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 21:51:27 2011 +0530

    Updated the correct dll to support Blink functionality

commit ef7cf3188365716c7b85ffd92659e9cb922e3fd2
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 16:07:36 2011 +0530

    Updation of help file images and new additions

commit 05285c285c42000f0f89f2798925f0ffc6376aaa
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 15:34:52 2011 +0530

    Removal of unneccessary files

commit ab38f6a5c932d88779058fa47cc846f63a15d7ca
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 15:29:25 2011 +0530

    Asc Log Import/Export functionality is added.Also existing converters are moved to single application using plugin architecture

commit 059ba628229faefea7674149b41b4a2ed163022e
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 15:24:57 2011 +0530

    Added Blink functionality and Hardware selection support

commit 1cfd599ab61a1f43e72fd646168f24000ec656c0
Author: venkatanarayana makam <Venkatanarayana.Makam@in.bosch.com>
Date:   Mon Dec 19 15:20:49 2011 +0530

    Added menu item for converters

commit fdc3071bc0922c5eb2ecc3a4cb43bbd96e62396a
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Dec 15 20:22:48 2011 +0530

    Added Blink Functionality. Issue #77

commit e18d98a4786843e45e7e15d771cddc53ae365254
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Dec 15 20:21:59 2011 +0530

    Added Blink Functionality.Issue #77.

commit ec15100349e66cf2f8216cde6a9460f0693d605c
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Dec 15 20:20:08 2011 +0530

    Added Blink Functionality. issue #77

commit 38ae7a6508df4230453894d76e663f0711f7008f
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Dec 15 20:17:17 2011 +0530

    Added Blink Functionality issue #77.

commit 4db9cdf5d87ea3b51f9978fc9976a18b77fde7fd
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Dec 15 20:15:51 2011 +0530

    Added Blink Functionality.Issue #77.

commit 20eea8547e998408b3d5d7af4e4894a5afb4a27a
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Dec 15 20:12:58 2011 +0530

    Blink Functionality is added.Issue #77

commit 08d474f07ccf6832f50833e05c396a204a5a3e99
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:21:25 2011 +0530

    Added menu item handlers for hardware selection option.

commit 8c3e8736ed078a527be840cde4a627d7f87176cf
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:18:19 2011 +0530

    Added support for retaining the selected channels list.

commit 9d15eade390b4f5bc6c01903794a761620f52c1d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:17:37 2011 +0530

    Added support for retaining the selected channels list.

commit 18b998a00c05748cf24ca8faf7711a8f7664bb4e
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:16:07 2011 +0530

    Added support for retaining the selected channels list.

commit 73e6b03212ff64f27ec0cab13748fb7ddd011b92
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:14:20 2011 +0530

    Added support for retaining the selected channels list.

commit 04a937a94565cec7f9eaf6c80528918275b4bfb1
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:13:26 2011 +0530

    Added support for retaining the selected channels list.

commit a77bb0dec1a36a94a3bb686335895b21bf761486
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:12:02 2011 +0530

    Added support for retaining the selected channels list.

commit cd806c3111addcddff8dd110592b60a31769b592
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:09:55 2011 +0530

    Added support for retaining the selected channels list.

commit 5f0c173799a337523870fd4c403b25eeb659f3bc
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:06:56 2011 +0530

    Added support for retaining the selected channels list.

commit 21a8800ba55106104d44cf1a4cf2e0ac3c3163b5
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:05:57 2011 +0530

    Added support for retaining the selected channels list.

commit ae470e4665db6ec17c58bdf1e1de865bf98ba75a
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:04:32 2011 +0530

    Added support for retaining the selected channels list.

commit 70b176b75534307926c36e00dbed5e07051ab78f
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:03:37 2011 +0530

    Added support for retaining the selected channels list.

commit b37e85f4fc6c83ccfbc9c378f9af71d4634f2239
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:02:54 2011 +0530

    Added support for retaining the selected channels list.

commit d2b45bef08fefb75e5f122dccfcf2be3ad9066d1
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 18:00:07 2011 +0530

    Added menu item handlers for hardware selection dialog.

commit 26a8d4156e563a209d4b7e935bd00a6d918e5377
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 17:53:57 2011 +0530

    Added menu item for hardware selection dialog.

commit 8600e9f72c48f061b7756448660ab26724c0c9e9
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 15 17:51:50 2011 +0530

    Added menu item for hardware selection dialog.

commit 69b84e52a9dd6334923bffde7151640e3f38762f
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Dec 9 15:07:23 2011 +0530

    Improved the read thread functionality and updating function headers to be compatible with Doxygen standard.

commit 12a907241bdde635c8edb5ba997e44542474292d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Dec 9 14:59:46 2011 +0530

    Updated the function header information.

commit 06b7612279f2564a508bb091d8516aba991822e0
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 8 19:50:28 2011 +0530

    Improved the read thread functionality, removal of unnecessary functions and function headers according to Doxygen compatible.

commit a973424ec5aa6dba78a24d8f5009625e080eacb5
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 8 15:24:24 2011 +0530

    Updated file and author information.

commit a8dcac8bf521c2b1d725f8918de476c81262de5c
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Dec 8 15:11:12 2011 +0530

    Updated author information.

commit 0a64155569531f3d3345979af55d34e03e1fcbe1
Author: Ratnadip Choudhury <ratnadip.c@in.bosch.com>
Date:   Tue Dec 6 17:35:15 2011 +0530

    Bugfix for https://github.com/rbei-etas/busmaster/issues/115

commit 39a9de5bf960ae2109e9b64e764ac042f7b26f44
Author: Ratnadip Choudhury <ratnadip.c@in.bosch.com>
Date:   Tue Dec 6 17:32:14 2011 +0530

    Bugfix for https://github.com/rbei-etas/busmaster/issues/115

commit 2574a68dcd215175c5d57f8cb04915302d11b169
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 16:29:15 2011 +0100

    Get rid of static char buffers. Use std::stuff instead.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a42788db003eb031e5ea5057368b4a2a5473f017
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 15:28:02 2011 +0100

    Get rid of static char buffers and printf's.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 849303dd83bc85e266db0a4d9dfb33611b61f2e7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 11:16:45 2011 +0100

    Use safe functions, e.g. strcpy_s, strtok_s
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 98a242569a0457294ba3e2d99670789a29ad137a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Nov 26 19:36:29 2011 +0100

    Conversion to std::string and std::list
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3f3af611a1c42696ff4ed5c2c1542c15fafaca58
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 10:37:24 2011 +0100

    Recommended astyle options at ETAS.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ae517e6f1150d24457245034f86a4ded72cfff7d
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 10:32:49 2011 +0100

    Astyle run over DBF_2_DBC.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 915930e4065b0f7683ee4b02cb4e887f7ab7327e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 10:32:15 2011 +0100

    Astyle run over DBC_2_DBF.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b15e7f38d4f50703368639771d8fe954c1b0a261
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Dec 2 10:32:03 2011 +0100

    AStyle run over CAPL_2_C.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 351a90f9a585f48412af76bcde64990f3aabcea6
Merge: 825c5a7 e31887f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Dec 1 09:39:53 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 825c5a71faa6ee3712328acfe70ac9b5540e87c0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Dec 1 09:39:26 2011 +0100

    Increase font size from 4 to 8.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e31887fad6ff537b853f91b50141cedb37fcec53
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 29 22:18:23 2011 +0530

    ConfigDialogsDIL is not required for the Installer.

commit 065a2c9548dfb0d91acd2b79c525f0284d2183b7
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Nov 29 15:46:53 2011 +0100

    Upload of V1.3.0 files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 103403de2916d30f4d2d88fa9ec87bf95b17b17c
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Nov 28 12:55:53 2011 +0530

    Updated the channel count to CHANNEL_ALLOWED while loading and saving for DIL_SECTION_ID.

commit f6740c44e89b6bad18a8c2c4e7545f0bd37de814
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Nov 28 12:26:46 2011 +0530

    Updated with disabling the 'self reception' option.

commit a2afa96e249be22171b5eb3046615d4ae7fda7a4
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Mon Nov 28 12:25:15 2011 +0530

    Updated with setting the filter configuration to read handles of channels.

commit 1168350078b1ac369a482142e0ed675adf3f035b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 25 12:42:53 2011 +0530

    Updated with using different channel handles for read and write operations.

commit 59d5e5029916665435f23f28de870191e7437c47
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Nov 24 19:05:10 2011 +0530

    Introduced code to check connection to device before showing up hardware selection dialog.

commit 673e72ed556e93e1fc905dd9da7ba3415fb4b298
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Thu Nov 24 14:10:33 2011 +0530

    Updated hardware controller initialization information.

commit 14c39f1e3c564cad192182df3d462a5056ff5b9f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Nov 24 08:39:30 2011 +0100

    Kvaser binary files uploaded.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 48fe25ccd2986b199f7fbf585f55a81a4cef74cb
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Nov 24 08:36:39 2011 +0100

    Icons uploaded.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b547d309be1b32eca67a18c9621c5e6765b466a1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Nov 24 08:26:01 2011 +0100

    Repository fix
    
    Changes to localise the hardware configuration settings.
    Changes for localised access of configuration
        Also made the loading of DILs for each vendor as explicit.
    Updated the hardware controller parameters initialization.
    Updated header file includes.
    
    Signed-off-by: Arunkumar Karri
    Acked-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cdf3d8fbbad923f6277d839d6645b53bf6a96590
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:25:38 2011 +0530

    Updated with removal of ConfigDialogsDIL module from solution space.

commit ca5a4e9c57201c1d3a3e17b45262415f5bdc425c
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:23:29 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller and localizing resources for hardware selection and display configuration.

commit 36ec87c773c2ba1aa474962cdfc27c063c4311c3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:21:32 2011 +0530

    Updated with addition of new files for hardware selection and configuration dialog.

commit 13fe0176ae8350965c3111f61de1afbf37ed658f
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:20:26 2011 +0530

    Updated export functions list.

commit c5f7833dda0221be45174642e34c505781ef223c
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:19:49 2011 +0530

    Updated with hardware configuration definitions.

commit de4945a7555b1ffa156984c27149e0f516c0bd7f
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:17:39 2011 +0530

    Updated with usage of hardware selection and configuration dialog.

commit 6dcd31aa5b89e6aa2797b3095b44ea71140da621
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:14:50 2011 +0530

    Updated with addition of new files.

commit 8402ddb94abf227da7d1622346574f96b65db18e
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:14:01 2011 +0530

    Updated export functions list.

commit f9898f1d28f36d31f5678d0fd1cd9f2f35f73281
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:13:01 2011 +0530

    Addition of hardware configuration definitions.

commit 780624278ca72a70a0a5d615cf6901b4db743559
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:10:08 2011 +0530

    Removal of obselete.h header file include.

commit 7a38dc0aa0df1845f0ae3bea4bd7d1cf264769d2
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:07:59 2011 +0530

    Updated with implementation of Kvaser DIL API set.

commit 81ba3818d27e46fa84ec902697b26786845dc6f9
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:06:15 2011 +0530

    Updated with addition of new files.

commit 8a1c4dd0592612b95f8bd81bcf35b3fd38f8ffd3
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:04:58 2011 +0530

    Updated export functions list.

commit d5919c37a905ca5584a3da07212382a12da0daf4
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:04:14 2011 +0530

    Updated author information.

commit 53ebfe4cf6dbde7cc277f3f0fac7418461b9e8b7
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:03:07 2011 +0530

    Updated with hardware configuration definitions.

commit 6b8abc154cce2cad26cc8ac1500c36c92a1a30c5
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:01:39 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller.

commit acfc9fefa883f42b25602176b9778acdaaac058b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 14:00:22 2011 +0530

    Updated the export function list.

commit 238efa1c1ddcc4284941965e9664c8a6d0f3fe9a
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:19:26 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller.

commit 92f3dc55e3af8aba2061bad5236429df05ba7055
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:18:17 2011 +0530

    Updated with addition of hardware selection dialog files.

commit 767f7764bdb66342bfcc09aa88cfeddc21d31dc7
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:17:20 2011 +0530

    Updated exported function list.

commit 4b356e9d73d89fb083d84a2f153ce4042208e51a
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:15:50 2011 +0530

    Added hardware configuration related definitions.

commit 557c7181115023b42718682d815cfcc1d7a0fe0a
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:13:58 2011 +0530

    Addition of new file and linker settings updated.

commit f5026198d2e299fdabcef60c1c7e18eed48bbcaf
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:12:31 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller and loading DIL_<Vendor> libraries explicitely.

commit 4143f0e4512495056ec6be9d9823d608225c0d06
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:10:56 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller.

commit 5e7922a69d60bf43678ffb454a68929e0e575632
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:09:41 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller.

commit 240f06e39ccecf819bf86fa5973c38c9983038ae
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:08:42 2011 +0530

    Usage of base class CBaseDIL_CAN_Controller.

commit 88dd0919978a62147dd6af54ef581b44f4444e32
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:05:29 2011 +0530

    Updating the controller information during DIL initialization.

commit ef10eed8f01d5964dfa98a3141235514e167f966
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 18 13:00:31 2011 +0530

    Updated to support hardware filters for both standard and extended messages.

commit 727ac954925f462a1b591c265227c45711fa1aa4
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Thu Nov 17 20:08:26 2011 +0530

    atoi will not work for unsigned integer range. atoi is replaced with strtoul.

commit 84022d1167da509c4b791fa091fabe43358c196c
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Nov 16 14:38:09 2011 +0530

    Cancel button is added along with Yes No buttons in the confirmation message box displayed while closing the application

commit bb87423230b021f8c4b8ce6fb6070127383a216a
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Nov 16 12:48:05 2011 +0530

    Trace window should be made visible when the thread is created newly and hence the variable m_bNotificWndVisible is also updated accordingly. Also, the else part is replaced with if for displaying the window

commit 947cd7249f0e8676ef0cb0b346c6c4c1a3e50738
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Wed Nov 16 12:44:41 2011 +0530

    Trace window should be made visible when the thread is created newly and hence the variable m_bNotificWndVisible is also accordingly

commit c8206ad098bd27705c3ff864670c97af23c104df
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 15 20:31:17 2011 +0530

    menu.InsertMenu(0, uFlags, i, lvc.pszText); Line is not required in OnContextMenu.

commit e9a3c8c2ef9ef7e3c2f2724ee0d5391a359234c7
Author: RBEI-Saravanan <saravanan.sivasubramaniam@in.bosch.com>
Date:   Tue Nov 15 16:12:33 2011 +0530

    Updated the pop up menus according to the selection

commit 00c5bc58be1ebed62e956286ccbe48102c2727f4
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Nov 15 10:49:28 2011 +0100

    Unload Driver Library when changing the selected driver.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 45a9d2c92896c5e3fc4f8a2da0a959cdb4afb0e6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 11 19:12:16 2011 +0100

    Upload of CMakeLists (for CMake) and build.bats for DBC Converters.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a01130c151274a6773489ff4fc4ff7d98e8b04fa
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Nov 11 12:20:20 2011 +0530

    bValidateDatabaseFile(...) is assigned to bReturnValue so that the return value of bFillDataStructureFromDatabaseFile(...) will be return FALSE if bValidateDatabaseFile(...) fails.

commit 6382540c9bb573f292a405f16d795e725ded697c
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Fri Nov 11 11:58:36 2011 +0530

    Database file is associated only if it is valid.
    (solves the issue #79)

commit 1c37a9090b0591bf8cbcbd1eccdab3bf597bac2e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Nov 9 16:20:15 2011 +0100

    Rename *.rc to Resource.rc in TOOLS_EXTERNAL.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b614a55551533c13008e66b84e1b1c42cd080a4e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Nov 9 16:11:59 2011 +0100

    Remove the compatibility flags.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 4e8a27730a2aaf1a2fcd075b0492e2e4128e11f1
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Wed Nov 9 15:55:29 2011 +0100

    Correction of StdAfx.h includes
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c770a5af2cabe222c18fe4fa79113de5aaab1e21
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Wed Nov 9 19:55:36 2011 +0530

    Font size is increased from 4 to 8(default) to solve the issue(#71) of different font and window size in Japanese system.

commit 71aa09578a2a7e468e0c51d756279a707d6118c7
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Wed Nov 9 17:47:20 2011 +0530

    The uriNames are sorted before they displayed to the user.

commit 913b21db3e8cd3d7555fdd369e2d7b529b59651f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Tue Nov 8 17:33:18 2011 +0100

    Upload of icsneo40.dll. We got the ok from ICS.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a6596673f786cdf5ebf859f922ebc71a77ec3efd
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Nov 8 17:45:52 2011 +0530

    Updated with disconnecting controller during closure operations.

commit 7f278893c36c8448659caec36b180dbd46eb5a16
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Nov 8 17:37:34 2011 +0530

    Updated with disconnecting the controller during closer operations.

commit 7d28af43455f1f7b8334cc798ee077be55d35e3f
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Nov 8 13:19:53 2011 +0530

    Updated author information list.

commit 2ff4ea7f72421667bb9f9d9fd9338db1447aa344
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 8 12:21:19 2011 +0530

    Channel Count is increased to 16.

commit 8a6b0a76f380d174ecbf81fa2f2105524a7cd3c2
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 8 12:12:38 2011 +0530

    Current selected Channel is changed to first channel when the DIL selection is changed.

commit a607e1e0cf4889e31f4a0816d5f7e0b8a275301e
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 8 12:03:25 2011 +0530

    Allowed channels are increased from 4 to 16.

commit af5b8c007f1c2f7c41daa047a2551c32747ff7b8
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 8 11:57:31 2011 +0530

    Context menu is updated with the valid channels.

commit ee9b92b6441f287aedc84e04c611fe679dc85d38
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Tue Nov 8 11:54:03 2011 +0530

    The Channel Columns are removed when the updated channels are less than the current channel count.

commit 546f50cec31c9a3c261e7d5785fa5210b144c339
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Tue Nov 8 11:32:01 2011 +0530

    Initialised xlStatus variable to XL_SUCCESS.

commit 97aff1746218b876d9ec5f400709c76a7f388446
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 21:50:39 2011 +0100

    Add .bak files to git ignore list.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0f7ae62ae71a7e7c856ee0c0b4d92077a3d237dc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 21:48:14 2011 +0100

    Correction of case in include statements.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cb9e9a8ee92ced0e3ad7e31d22d0a9441183a300
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 16:01:25 2011 +0100

    Upload of Kvaser API and DLL files.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a2eb2987958fc6266a030139e6c13e89ebb44fe0
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 11:51:18 2011 +0100

    The vxlapi.dll gets installed now in the BUSMASTER directory.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit abc36a7138389e5b4524f34c5278e6a750c65f19
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 11:19:24 2011 +0100

    Upload PEAK driver to the repository.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 2ec3805b9427192261459c5d2b1152a03baa3307
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Nov 7 15:31:27 2011 +0530

    Maximum signal size is increased from 64 to 128.

commit 3ad73d76493049859a07b9c9d68e60fd205bc0ad
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 10:41:32 2011 +0100

    Redistribute vxlapi.dll via BUSMASTER installer.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 3588264c3c6e946fb4e5e2bf61a9d6e671a37f03
Merge: 094d762 e9f7af2
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 10:37:37 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 094d76255a7a7fd6c605f3890ea04d9d0c834614
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 10:36:45 2011 +0100

    Move CAN_PEAK_USB_Extern.h in the expected folder.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit e9f7af2067599eba9f70a9f04166d165c2a4f15f
Author: Venkatanarayana Makam <venkatanarayana.makam@in.bosch.com>
Date:   Mon Nov 7 15:05:53 2011 +0530

    Maximum Number of signals is increased from 64 to 128.This is a temporary solution until the BUSMASTER supports Multiplex signals.

commit 5e7eaa5c1eab6fb1baf834b683a08f868fa3ab3e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 10:16:23 2011 +0100

    We are allowed to redistribute Vector XL API & DLL.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 18e8dce45dbdc7b09d0118a2bad0d9233f14efda
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 09:22:54 2011 +0100

    Activate Kvaser CAN in the menu (DIL list).
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b4b802d2576371e83c154af23b316fc378f2636b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Mon Nov 7 09:22:20 2011 +0100

    Distribute Kvaser driver. The license marks this as redistributable.
    
    More on this, see: Sources/CAN_Kvaser_CAN/EXTERNAL_INCLUDE/Readme.txt
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 846368fd0688206f07f7d0416ca3486fae4ba8fe
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Nov 5 12:53:57 2011 +0100

    Make output more comprehensable.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 0e984b2ecdd85ef92bdf354ec095263e9dee00f9
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Nov 5 11:23:30 2011 +0100

    This fixes an issue related to the one reported by DrumAliens.
    
    One internal customers provided an DBC file where the
    signal receiving node list was >256 characters long.
    So increase the const again from 128 to 384 bytes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 81f40dc28015a2c1d994c580b00da0096efd28de
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Nov 5 11:11:01 2011 +0100

    Thie fixed another issue with the issue reported by DrumAliens.
    
    The DBC files contain long value descriptors.
    This did not crash the converter, but later on stalled BUSMASTER.
    The value descriptor length is not increased from 32 to 128 bytes.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ef765a4a727af6677393ce1036755958dbd8fa5a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Nov 5 10:59:36 2011 +0100

    This fixes the issue reported by DrumAliens.
    
    The DBC file contains very long signal receiving node lists.
    By extending this string length from 32 to 128, the problem is fixed.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 71870da34c2247077e8527920354821416b70f7a
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Sat Nov 5 10:31:26 2011 +0100

    Convert m_rxNode from CString to char[]
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 906c76afe51dad134a236f7d4deaa66bc86c3265
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 19:52:57 2011 +0100

    Make the name changes of the converters also in the documentation.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 7f25c12fad0a161f066d9c3c79a3b52f4474bdbc
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 19:47:42 2011 +0100

    Some cleanups in CAPL_2_C Converter
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit cf64788a6af12fea1ade569ae51b0c1158038a22
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 19:45:21 2011 +0100

    Rename CANDBConverter_Export.exe to DBF_2_DBC.exe
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c5392fe5602bdec85929be277a3c55074b65196f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 19:44:03 2011 +0100

    Renamed CANDBConverter_Import.exe to DBC_2_DBF.exe
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit f44a1aa8bac8c0818a19abf3117edbed86704e6f
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 19:17:38 2011 +0100

    Renamed Language_Converter.exe to CAPL_2_C.exe
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit ee6e8bdeb5e25da59f606635bdf0dff2d67ab0a7
Merge: 29aa487 b5cdc43
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 15:06:02 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 29aa487d539c94bf60d911d84958bbbd0d245162
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 15:05:20 2011 +0100

    Removed obsolete help files from the git ignore list.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit b5cdc43a4c59e65b234f1aeb570619c48bd7b5e2
Author: venkatanarayana <venkatanarayana.makam@in.bosch.com>
Date:   Fri Nov 4 19:34:49 2011 +0530

    File Writing operation is re-introduced in bCreateNewDocument() function.

commit 741c828f183b009e17b4c0e1f266b5b4afa3ecbd
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 11:50:51 2011 +0100

    Added CanApi2.dll and Installer.exe to git ignore list.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit c3936bb9efa4b7b8d2877e94bfaf1674d200a123
Merge: 58e0917 5654ec6
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 11:24:49 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 58e09170521eaf05280281aae10ef6227eafec3b
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 11:24:31 2011 +0100

    Fixed some issues in the install script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 5654ec6c94511a02be9acabe7ef070d89efe66ac
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 15:38:15 2011 +0530

    Updated with vxlapi.dll library path to C:\\XL Driver Library\\bin\\.

commit f8f60da94e394de6b4f06a8dffc0528ee3eb08ab
Merge: c519ee9 937c655
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 10:59:25 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster
    
    Conflicts:
    	Installation Setup/BUSMASTER INSTALL SCRIPT.nsi

commit c519ee9a5a2ebd4940ae21a0fa927dec27633e2e
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 10:55:48 2011 +0100

    Prepare release. Set version numbers to V1.2.0. NSIS script updated.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 937c655a768cbf64038509892e2d0dc8007d5d10
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 14:58:17 2011 +0530

    Updated with addition of icsneo40.dll and version number to 1.2.0.

commit 869ea3758c9b7790a06542bead0998897d6b226a
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 14:13:07 2011 +0530

    Set the channel count to 4 in CAN_STUB_ListHwInterfaces(..) function.

commit b87181ef1c73253d53a809008d9aff39555e451b
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 14:05:31 2011 +0530

    Intialised the SERROR_CNT variables to NULL values in vCalculateBusParametres() function.

commit 4b5865af2acec69897cfd508d9472e0983e10197
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 14:03:18 2011 +0530

    Increased the CHANNEL_ALLOWED value from 2 to 16.

commit 35b7864d77f7002fca06232ada63411adf1a2e4d
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 14:00:49 2011 +0530

    Updated with display of selected hardware controller info in status bar.

commit 39093bec6ae17ca98588dcb1eadc6f0ff3bbafd7
Merge: 820eb8c a859980
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 09:22:56 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 820eb8cbf090ed7747b63841e5a6c4c7a6456725
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Fri Nov 4 09:22:26 2011 +0100

    Provide an script to update the version information in any file.
    
    We are still at v1.1.0.
    So accordingly this extension is in the NSIS script.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit a8599802ac3c61730ca165e16cecaa3d6f9fd7b2
Author: Arunkumar Karri <K_arunkumar_1217@yahoo.com>
Date:   Fri Nov 4 13:49:06 2011 +0530

    Updated with addition of controller dialog provided by vector.

commit 1d6b9f5f3f33aba245824b9a85105958be80c5eb
Merge: 9139c25 71332cb
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Nov 3 10:14:11 2011 +0100

    Merge branch 'master' of https://github.com/rbei-etas/busmaster

commit 9139c25e79e5096c9bb5a881e5c5f6985c4a4955
Author: Tobias Lorenz <tobias.lorenz@etas.com>
Date:   Thu Nov 3 10:13:02 2011 +0100

    Provide a central proxy configuration file at Sources/proxy.bat.
    
    Signed-off-by: Tobias Lorenz <tobias.lorenz@etas.com>

commit 71332cbb2eb8b92f2e87b783dbb605803e5b2888
Author: venkatanarayana <venkatanarayana.makam@in.bosch.com>
Date:   Thu Nov 3 13:50:54 2011 +0530

